# Default Settings

Default Settings used for all domains. Branding can be done in this section, [see here to adjust](../advanced/domains.md#override-a-default-setting-for-one-domain) or copy settings to specific domains.

![FusionPBX Advanced Default Settings](../_static/images/advanced/default_settings/fusionpbx_default_settings1.png)

Default Settings have several different categories. Click on the category to view more details.

## Cache

Option to use file cache for XML and not memcache.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description     |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------|
| method                      | text                 | file              | TRUE                    | Cache methods file or memcache. |
| location                    | text                 | /var/cache/fusionpbx  | TRUE                    | Location for the file cache.    |

## Call Center

FusionPBX menu [Apps > Call Center](../applications/call_center.md)

Defaults for the amount of agent rows for Call Center.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description    |
|-----------------------------|----------------------|-----------------------|-------------------------|--------------------------------|
| agent_add_rows              | numeric              | 5                     | TRUE                    | Number of default "add" rows.  |
| agent_edit_rows             | numeric              | 1                     | TRUE                    | Number of default "edit" rows. |

## CDR

FusionPBX menu [Apps > CDR](../applications/call_detail_record.md)

CDR Stat hour limit, call leg, format, limit, http_enabled, archive database, and storage type settings can be set here.

| Default Setting Subcategory   | Default Setting Name   | Default Setting Value   | Default Setting Enabled   | Default Setting Description          |
|-------------------------------|------------------------|-------------------------|---------------------------|--------------------------------------|
| stat_hours_limit              | numeric                | 24                      | FALSE                     |                                      |
| b_leg                         | array                  | outbound                | FALSE                     |                                      |
| b_leg                         | array                  | inbound                 | FALSE                     |                                      |
| b_leg                         | array                  | local                   | FALSE                     |                                      |
| format                        | text                   | json                    | TRUE                      |                                      |
| limit                         | numeric                | 800                     | TRUE                      |                                      |
| http_enabled                  | boolean                | TRUE                    | TRUE                      |                                      |
| archive_database_driver       | text                   | pgsql                   | FALSE                     | Archive Database Driver              |
| archive_database_host         | text                   |                         | FALSE                     | IP/Hostname of Archive Database      |
| archive_database_password     | text                   |                         | FALSE                     | Archive Database Password            |
| archive_database_port         | text                   | 5432                    | FALSE                     | Archive Database Port                |
| archive_database_username     | text                   |                         | FALSE                     | Archive Database Username            |
| storage                       | text                   | db                      | TRUE                      |                                      |
| archive_database              | boolean                | FALSE                   | FALSE                     | Enable Dedicated CDR Database Access |
| archive_database_name         | text                   | fusionpbx               | FALSE                     | Archive Database Name                |

## Dashboard

FusionPBX menu [Home > Dashboard](../home/dashboard.md)

Different user level settings that control what is seen and not seen on the dashboard for each user access level.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                                                        |
|-----------------------------|----------------------|-----------------------|-------------------------|------------------------------------------------------------------------------------|
| admin                       | array                | voicemail             | TRUE                    | Enable Dashboard Voicemail block for users in the admin group.                     |
| admin                       | array                | missed                | TRUE                    | Enable Dashboard Missed Calls block for users in the admin group.                  |
| admin                       | array                | recent                | TRUE                    | Enable Dashboard Recent Calls block for users in the admin group.                  |
| admin                       | array                | limits                | FALSE                   | Enable Dashboard Domain Limits block for users in the admin group.                 |
| admin                       | array                | counts                | TRUE                    | Enable Dashboard Domain Counts block for users in the admin group.                 |
| admin                       | array                | ring_groups           | TRUE                    | Enable Dashboard Ring Group Forwarding controls for users in the admin group.      |
| admin                       | array                | caller_id             | FALSE                   | Enable changing Caller ID name and number.                                         |
| superadmin                  | array                | voicemail             | TRUE                    | Enable Dashboard Voicemail block for users in the superadmin group.                |
| superadmin                  | array                | missed                | TRUE                    | Enable Dashboard Missed Calls block for users in the superadmin group.             |
| superadmin                  | array                | recent                | TRUE                    | Enable Dashboard Recent Calls block for users in the superadmin group.             |
| superadmin                  | array                | limits                | FALSE                   | Enable Dashboard Domain Limits block for users in the superadmin group.            |
| superadmin                  | array                | counts                | TRUE                    | Enable Dashboard System Counts block for users in the superadmin group.            |
| superadmin                  | array                | call_routing          | TRUE                    | Enable Dashboard Call Routing controls for users in the superadmin group.          |
| superadmin                  | array                | caller_id             | FALSE                   | Enable changing Caller ID name and number.                                         |
| superadmin                  | array                | ring_groups           | TRUE                    | Enable Dashboard Ring Group Forwarding controls for users in the superadmin group. |
| user                        | array                | voicemail             | TRUE                    | Enable Dashboard Voicemail block for users in the users group.                     |
| user                        | array                | missed                | TRUE                    | Enable Dashboard Missed Calls block for users in the users group.                  |
| user                        | array                | recent                | TRUE                    | Enable Dashboard Recent Calls block for users in the users group.                  |
| user                        | array                | call_routing          | TRUE                    | Enable Dashboard Call Routing controls for users in the users group.               |
| user                        | array                | ring_groups           | TRUE                    | Enable Dashboard Ring Group Forwarding controls for users in the users group.      |
| user                        | array                | caller_id             | FALSE                   | Enable changing Caller ID name and number.                                         |
| admin                       | array                | call_routing          | TRUE                    | Enable Dashboard Call Routing controls for users in the admin group.               |
| superadmin                  | array                | system                | TRUE                    | Enable Dashboard System Status block for users in the superadmin group.            |
| agent                       | array                | call_center_agents    | TRUE                    | Enable Dashboard Call Center Agent Status block for users in the agent group.      |

## Destinations

FusionPBX menu [Dialplan > Destinations](../dialplan/destinations.md)

Destinations specific defaults.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description |
|-----------------------------|----------------------|-----------------------|-------------------------|-----------------------------|
| dialplan_details            | boolean              | TRUE                  | TRUE                    |                             |

## Domains

FusionPBX menu [Advanced > Domains](../advanced/domains.md)

Domain specific defaults.

| Default Setting Subcategory | Default Setting Name | Default Setting Value                                                                                                           | Default Setting Enabled | Default Setting Description                                         |
|-----------------------------|----------------------|-------------------------------------------------------------------------------------------------------------------------------|-------------------------|---------------------------------------------------------------------|
| dial_string                 | text                 | {sip_invite_domain=\${domain_name},leg_timeout=\${call_timeout},presence_id=\${dialed_user}@\${dialed_domain}}\${sofia_contact(*/\${dialed_user}@\${dialed_domain})} | TRUE                    | The dial string used                                               |
| template                    | name                 | default                                                                                                                       | TRUE                    | The template used                                                  |
| menu                        | uuid                 | b4750c3f-2a86-b00d-b7d0-345c14eca286                                                                                          | TRUE                    | The menu uuid                                                      |
| language                    | code                 | en-us                                                                                                                         | TRUE                    | Choose the language                                                |
| cidr                        | array                |                                                                                                                               | FALSE                   | Allow only specific ip addresses access                            |
| country                     | code                 | us                                                                                                                            | TRUE                    | The country code                                                   |
| bridge                      | text                 | outbound                                                                                                                      | TRUE                    | outbound,loopback,lcr                                               |
| paging                      | numeric              | 100                                                                                                                           | TRUE                    | Set the maximum number of records displayed per page. (Default: 50) |
| time_zone                   | name                 | America/Los_Angeles                                                                                                           | TRUE                    | Time zone used. Follows UNIX format                                 |

## Editor

FusionPBX menu Advanced > php editor, grammar editor, provision editor, and xml editor.

Editor specific defaults.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                                               |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------------------------------------------------|
| indent_guides               | text              | FALSE                 | FALSE                   | Set the default visibility of indent guides for Editor.                   |
| invisibles                  | text              | FALSE                 | FALSE                   | Set the default state of invisible characters for Editor.                 |
| line_numbers                | text              | FALSE                 | FALSE                   | Set the default visibility of line numbers for Editor.                    |
| theme                       | text                 | Cobalt                | FALSE                   | Set the default theme.                                                    |
| font_size                   | text                 | 14px                  | FALSE                   | Set the default text size for Editor.                                     |
| live_previews               | boolean              | FALSE                 | FALSE                   | Enable or disable live previewing of syntax, text size and theme changes. |

## Email

Here are some example settings for some of the most common email providers, for additional information please check [here](../additional_information/email.md).

| Default Setting Subcategory | Default Setting Name | Default Setting Value          | Default Setting Enabled | Default Setting Description                                                       |
|-----------------------------|----------------------|--------------------------------|-------------------------|-----------------------------------------------------------------------------------|
| smtp_host                   | text                 | mail.server.provider.com       | TRUE                    | email providers server address                                                    |
| smtp_from                   | text                 | emailexample@emailprovider.com | TRUE                    | smtp from email address                                                           |
| smtp_port                   | numeric              | 587                            | TRUE                    | port number of the mail server provider                                           |
| smtp_from_name              | text                 | Voicemail                      | TRUE                    | smtp from name                                                                    |
| smtp_auth                   | text                 | TRUE                           | TRUE                    | If smtp auth is required                                                          |
| smtp_username               | text                 | user name                      | TRUE                    | typically the email user name                                                     |
| smtp_password               | text                 | supersecurepassword!           | TRUE                    | typically the email password                                                      |
| smtp_secure                 | text                 | tls                            | TRUE                    | tls or ssl depending on the provider                                              |
| smtp_validate_certificate   | boolean              | TRUE                           | TRUE                    | set to false to ignore SSL certificate warnings e.g. for self-signed certificates |
| method                      | text                 | smtp                           | TRUE                    | smtp\|sendmail\|mail\|qmail                                                       |

## Fax

[Apps > Fax Server](../applications/fax_server.md)

Specific default settings for fax server.

| Default Setting Subcategory       | Default Setting Name | Default Setting Value           | Default Setting Enabled | Default Setting Description                                                                    |
|-----------------------------------|----------------------|---------------------------------|-------------------------|------------------------------------------------------------------------------------------------|
| cover_logo                        | text                 |                                 | TRUE                    | Path to image/logo file displayed in the header of the cover sheet.                            |
| allowed_extension                 | array                | .pdf                            | TRUE                    | Allowed extension to send .pdf                                                                 |
| allowed_extension                 | array                | .tif                            | TRUE                    | Allowed extension to send .tif                                                                 |
| allowed_extension                 | array                | .tiff                           | TRUE                    | Allowed extension to send .tiff                                                                |
| cover_header                      | text                 |                                 | FALSE                   | Default information displayed beneath the logo in the header of the cover sheet.               |
| page_size                         | text                 | letter                          | TRUE                    | Set the default page size of new faxes.                                                        |
| resolution                        | text                 | fine                            | TRUE                    | Set the default transmission quality of new faxes.                                             |
| variable                          | array                | fax_enable_t38=true             | TRUE                    | Enable T.38.                                                                                   |
| variable                          | array                | fax_enable_t38_request=false    | TRUE                    | Send a T38 reinvite when a fax tone is detected.                                               |
| variable                          | array                | ignore_early_media=true         | TRUE                    | Ignore ringing to improve fax success rate.                                                    |
| keep_local                        | boolean              | TRUE                            | TRUE                    | Keep the file after sending or receiving the fax.                                              |
| send_mode                         | text                 | queue                           | FALSE                   | Send mode. queue is default.                                                                   |
| send_retry_limit                  | numeric              | 5                               | TRUE                    | Number of attempts to send fax (count only calls with answer).                                 |
| send_retry_interval               | numeric              | 15                              | TRUE                    | Delay before we make next call after answered call.                                            |
| send_no_answer_retry_limit        | numeric              | 3                               | TRUE                    | Number of unanswered attempts in sequence.                                                     |
| send_no_answer_retry_interval     | numeric              | 30                              | TRUE                    | Delay before we make next call after no answered call.                                         |
| send_no_answer_limit              | numeric              | 3                               | TRUE                    | Give up reaching the destination after this number of sequences.                               |
| send_no_answer_interval           | numeric              | 300                             | TRUE                    | Delay before next call sequence.                                                               |
| storage_type                      | text                 | base64                          | FALSE                   | Store FAX in base64.                                                                           |
| smtp_from                         | text                 |                                 | TRUE                    | SMTP from address.                                                                             |
| smtp_from_name                    | text                 |                                 | TRUE                    | SMTP from name. Depends on the server, can be full email or everything before the @ sign.      |
| cover_font                        | text                 | times                           | FALSE                   | Font used to generate cover page. Can be full path to .ttf file or font name already installed.|
| cover_footer                      | text                 |                                 | TRUE                    | Notice displayed in the footer of the cover sheet.                                             |

## Follow Me

FusionPBX menu [Apps > Follow Me](../applications/follow_me.md)

Specific defaults for Follow Me.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                       |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------------------------|
| max_destinations            | numeric              | 5                     | FALSE                   | Set the maximum number of Follow Me Destinations. |
| timeout                     | numeric              | 30                    | FALSE                   | Set the default Follow Me Timeout value.          |

## IVR Menu

FusionPBX menu [Apps > IVR Menus](../applications/ivr.md)

Specific default for IVR Menu.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description    |
|-----------------------------|----------------------|-----------------------|-------------------------|--------------------------------|
| option_add_rows             | numeric              | 5                     | TRUE                    | Number of default "add" rows.  |
| option_edit_rows            | numeric              | 1                     | TRUE                    | Number of default "edit" rows. |

## Limit

Limit specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description        |
|-----------------------------|----------------------|-----------------------|-------------------------|------------------------------------|
| call_center_queues          | numeric              | 3                     | FALSE                   | Limit used in Call Center Queues.  |
| destinations                | numeric              | 3                     | FALSE                   | Limit used in Destinations.        |
| devices                     | numeric              | 3                     | FALSE                   | Limit used in Devices.             |
| extensions                  | numeric              | 3                     | FALSE                   | Limit used in Extensions.          |
| gateways                    | numeric              | 3                     | FALSE                   | Limit used in Gateways.            |
| ivr_menus                   | numeric              | 3                     | FALSE                   | Limit used in IVR Menus.           |
| ring_groups                 | numeric              | 3                     | FALSE                   | Limit used in Ring Groups.         |
| users                       | numeric              | 3                     | FALSE                   | Limit used in Users.               |

## Login

Login specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value      | Default Setting Enabled | Default Setting Description                                                             |
|-----------------------------|----------------------|----------------------------|-------------------------|-----------------------------------------------------------------------------------------|
| password_reset_key          | text                 | 9pG6sgerhuh5hetjnsrtjrjrdW | FALSE                   | Display a Reset Password link on the login box (requires smtp_host be defined).         |
| domain_name_visible         | boolean              | TRUE                       | FALSE                   | Displays a domain input or select box (if domain_name array defined) on the login box.  |
| domain_name                 | array                | pbx1.yourdomain.com        | FALSE                   | Domain select option displayed on the login box.                                        |
| message                     | text                 | Welcome to FusionPBX!      | TRUE                    | Display a message at login.                                                             |

## Provision

In the Provisioning section, there are a few key options that have to be set in order to turn auto provisioning on.

- **enabled:** Must be enabled and set to **value true** and **enabled True**. It is disabled by default.
- **http_auth_username:** Must be enabled and set to **value true** and **enabled True**. It is disabled by default. Be sure to use a strong username.
- **http_auth_password:** Must be enabled and set to **value true** and **enabled True**. It is disabled by default. Be sure to use a strong password.

| Default Setting Subcategory                       | Default Setting Name | Default Setting Value                                                                                                                | Default Setting Enabled | Default Setting Description                                                                                                                                                 |
|---------------------------------------------------|----------------------|--------------------------------------------------------------------------------------------------------------------------------------|-------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| fanvil_time_zone                                  | text                 | -20                                                                                                                                  | TRUE                    | Time zone ranges                                                                                                                                                            |
| fanvil_time_zone_name                             | text                 | UTC-5                                                                                                                                | TRUE                    | Time zone name example United States-Eastern Time                                                                                                                           |
| fanvil_location                                   | numeric              | 4                                                                                                                                    | TRUE                    | Used with time zone and time zone name                                                                                                                                      |
| fanvil_realm                                      | text                 | enter a value                                                                                                                        | FALSE                   | enter a value                                                                                                                                                               |
| fanvil_greeting                                   | text                 | FusionPBX                                                                                                                            | TRUE                    | Name at top left of screen 0~12 characters                                                                                                                                  |
| fanvil_date_display                               | numeric              | 3                                                                                                                                    | TRUE                    | value 0-13 Date Format                                                                                                                                                      |
| fanvil_time_display                               | numeric              | 1                                                                                                                                    | TRUE                    | 1=12hr 0=24hr                                                                                                                                                               |
| fanvil_wifi_enable                                | numeric              | 0                                                                                                                                    | TRUE                    | 1=on 0=off                                                                                                                                                                  |
| fanvil_stun_port                                  | numeric              | 3478                                                                                                                                 | TRUE                    | enter a stun port number                                                                                                                                                    |
| grandstream_call_waiting                          | text                 | 0                                                                                                                                    | TRUE                    | Call Waiting 0=enabled 1=disable                                                                                                                                            |
| contact_grandstream                               | boolean              | TRUE                                                                                                                                 | FALSE                   | Enable Address Book for Grandstream based on users and groups assigned to contact.                                                                                          |
| grandstream_gxp_time_zone                         | text                 | auto                                                                                                                                 | TRUE                    | See provision profile for codes.                                                                                                                                            |
| grandstream_check_sip_user_id                     | text                 | 1                                                                                                                                    | TRUE                    | GXV Android phones - fix auto-ring bug.                                                                                                                                     |
| grandstream_config_server_path                    | text                 | none                                                                                                                                 | FALSE                   | mydomain.com/app/provision to Fusionpbx provisioning. Phones will use firmware url if this is set to: none                                                                  |
| grandstream_firmware_path                         | text                 | mydomain.com/app/provision                                                                                                           | TRUE                    | Grandstream firmware and provision.                                                                                                                                         |
| grandstream_lan_port_vlan                         | text                 | 1                                                                                                                                    | FALSE                   | Default VLAN for phone LAN port.                                                                                                                                            |
| grandstream_pc_port_vlan                          | text                 | 1                                                                                                                                    | FALSE                   | Default VLAN for phone PC port.                                                                                                                                             |
| grandstream_ldap_base_dn                          | text                 | dc=mydomain,dc=com                                                                                                                   | FALSE                   | Base DN                                                                                                                                                                     |
| grandstream_ldap_display_name                     | text                 | givenName sn title                                                                                                                   | FALSE                   | Which named attributes to display on device. Must be pulled in through grandstream_ldap_name_attr.                                                                          |
| grandstream_ldap_mail_attr                        | text                 | mail                                                                                                                                 | FALSE                   | Mail attribute returned to phone                                                                                                                                            |
| grandstream_ldap_mail_filter                      | text                 | (mail=%)                                                                                                                             | FALSE                   | Search filter for mail lookups                                                                                                                                              |
| grandstream_ldap_name_attr                        | text                 | givenName sn title mail                                                                                                              | FALSE                   | The NAME attributes returned in the LDAP search result available to device                                                                                                  |
| grandstream_ldap_name_filter                      | text                 | (cn=%)                                                                                                                               | FALSE                   | Search filter for name lookups                                                                                                                                              |
| grandstream_ldap_number_attr                      | text                 | telephoneNumber mobile homePhone                                                                                                     | FALSE                   | Number attributes returned to the phone.                                                                                                                                    |
| grandstream_ldap_number_filter                    | text                 | (&#124;(telephoneNumber=%)(homePhone=%)(moblie=%))                                                                                   | FALSE                   | Search filter for number lookups.                                                                                                                                           |
| grandstream_ldap_password                         | text                 | super-secret                                                                                                                         | FALSE                   | Ldap bind user password.                                                                                                                                                    |
| grandstream_ldap_server                           | text                 | mydomain.com                                                                                                                         | FALSE                   | Ldap server host name                                                                                                                                                       |
| grandstream_ldap_user_base                        | text                 | ou=users,dc=mydomain,dc=com                                                                                                          | FALSE                   | Ldap base for users.                                                                                                                                                        |
| grandstream_ldap_username                         | text                 | cn=pbxadmin,dc=mydomain,dc=com                                                                                                       | FALSE                   | Ldap server bind username                                                                                                                                                   |
| grandstream_phonebook_download_interval           | text                 | 720                                                                                                                                  | TRUE                    | 0=disabled, 5-720 minutes                                                                                                                                                   |
| grandstream_qos_rtp                               | text                 | 5                                                                                                                                    | FALSE                   | Layer 2 QoS 802.1p Priority Value for RTP media                                                                                                                             |
| grandstream_qos_sip                               | text                 | 3                                                                                                                                    | FALSE                   | Layer 2 QoS 802.1p Priority Value for SIP signaling                                                                                                                         |
| grandstream_sip_only_known_servers                | text                 | 1                                                                                                                                    | TRUE                    | GXV Android phones - fix auto-ring bug.                                                                                                                                     |
| grandstream_stun_server                           | text                 | mydomain.com                                                                                                                         | TRUE                    | Bug in Grandstream where null stun_server defaults to sip server/port                                                                                                       |
| grandstream_validate_incoming_sip                 | text                 | 1                                                                                                                                    | TRUE                    | GXV Android phones - fix auto-ring bug.                                                                                                                                     |
| grandstream_wallpaper_url                         | text                 | https://mydomain.com/files/wallpaper.jpg                                                                                             | FALSE                   | Wallpaper Image JPEG 480x272 16-bit depth dithered                                                                                                                          |
| grandstream_bluetooth_power                       | text                 | 1                                                                                                                                    | FALSE                   | Bluetooth Power - 0 - Off, 1 - On, 2 - Off & Hide Menu From LCD                                                                                                             |
| grandstream_bluetooth_handsfree                   | text                 | 1                                                                                                                                    | FALSE                   | Bluetooth Handsfree - 0 - Off, 1 - On                                                                                                                                       |
| grandstream_auto_attended_transfer                | text                 | 1                                                                                                                                    | TRUE                    | Attended Transfer Mode. 0 - Static, 1 - Dynamic. Default is 0                                                                                                               |
| grandstream_syslog_server                         | text                 |                                                                                                                                      | FALSE                   | Syslog Server (name of the server, max length is 64 characters)                                                                                                             |
| grandstream_syslog_level                          | text                 | 0                                                                                                                                    | FALSE                   | Syslog Level. 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR. Default is 0                                                                                           |
| grandstream_send_sip_log                          | text                 | 0                                                                                                                                    | FALSE                   | Send SIP Log. 0 - Do not send SIP log in Syslog, 1 - Send SIP log in Syslog if configured and set to DEBUG level. Default is 0                                              |
| grandstream_screensaver                           | text                 | 1                                                                                                                                    | TRUE                    | Screensaver. 0 - No, 1 - Yes, 2 - On if no VPK is active. Default is 1                                                                                                      |
| grandstream_screensaver_source                    | text                 | 0                                                                                                                                    | TRUE                    | Screensaver Source. 0 - Default, 1 - USB, 2 - Download. Default is 0. --for GXP2140/2160/2170 only                                                                          |
| grandstream_screensaver_show_date_time            | text                 | 1                                                                                                                                    | TRUE                    | Show Date and Time. 0 - No, 1 - Yes. Default is 1                                                                                                                           |
| grandstream_screensaver_timeout                   | text                 | 5                                                                                                                                    | TRUE                    | Screensaver Timeout. Minutes 3-60                                                                                                                                           |
| grandstream_screensaver_server_path               | text                 |                                                                                                                                      | FALSE                   | Screensaver Server Path                                                                                                                                                     |
| grandstream_screensaver_xml_download_interval     | text                 | 0                                                                                                                                    | FALSE                   | Screensaver XML Download Interval Number: 5 - 720. Default is 0 (disable auto downloading)                                                                                  |
| grandstream_srtp                                  | text                 | 0                                                                                                                                    | TRUE                    | SRTP Mode. 0 - Disabled, 1 - Enabled but not forced, 2 - Enabled and forced, 3 - Optional. Default is 0                                                                     |
| htek_time_zone                                    | text                 | 18                                                                                                                                   | TRUE                    | Time zone 18=EST 14=CST 6=PST 9,10=MST                                                                                                                                      |
| htek_dst                                          | numeric              | 1                                                                                                                                    | TRUE                    | DST off=0 on=1 auto=2                                                                                                                                                       |
| htek_date_display_format                          | numeric              | 1                                                                                                                                    | TRUE                    | Year-Month-Day=0 Month-Day-Year=1 Day-Month-Year=2                                                                                                                          |
| htek_time_format                                  | numeric              | 1                                                                                                                                    | TRUE                    | 1=12hr 0=24hr                                                                                                                                                               |
| polycom_digitmap                                  | text                 | [*]xxxx\|[2-9]11\|0T\|011xxx.T\|[0-1][2-9]xxxxxxxxx\|[2-9]xxxxxxxxx\|[1-9]xxT\|**x.T                                                        | FALSE                   |                                                                                                                                                                             |
| polycom_call_waiting                              | text                 | 1                                                                                                                                    | TRUE                    | Call Waiting 1=enabled 0=disable                                                                                                                                            |
| cidr                                              | array                | 209.210.17.193/32                                                                                                                    | FALSE                   |                                                                                                                                                                             |
| http_auth_username                                | text                 | admin                                                                                                                                | TRUE                    |                                                                                                                                                                             |
| http_auth_type                                    | text                 | digest                                                                                                                               | TRUE                    |                                                                                                                                                                             |
| enabled                                           | text                 | TRUE                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| cidr                                              | array                | 209.210.16.196/32                                                                                                                    | FALSE                   |                                                                                                                                                                             |
| auto_insert_enabled                               | boolean              | TRUE                                                                                                                                 | FALSE                   |                                                                                                                                                                             |
| http_auth_disable                                 | boolean              | FALSE                                                                                                                                | FALSE                   |                                                                                                                                                                             |
| admin_name                                        | text                 |                                                                                                                                      | FALSE                   |                                                                                                                                                                             |
| admin_password                                    | text                 |                                                                                                                                      | FALSE                   |                                                                                                                                                                             |
| path                                              | text                 |                                                                                                                                      | FALSE                   |                                                                                                                                                                             |
| outbound_proxy_primary                            | text                 |                                                                                                                                      | FALSE                   |                                                                                                                                                                             |
| outbound_proxy_secondary                          | text                 |                                                                                                                                      | FALSE                   |                                                                                                                                                                             |
| line_sip_port                                     | numeric              | 5060                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| line_sip_transport                                | text                 | tcp                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| daylight_savings_enabled                          | boolean              | TRUE                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| daylight_savings_start_month                      | text                 | 3                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| daylight_savings_start_weekday                    | text                 | 7                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| daylight_savings_start_time                       | text                 | 2                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| daylight_savings_stop_weekday                     | text                 | 7                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| daylight_savings_stop_time                        | text                 | 2                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| http_domain_filter                                | boolean              | TRUE                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| contact_users                                     | boolean              | TRUE                                                                                                                                 | FALSE                   |                                                                                                                                                                             |
| contact_groups                                    | boolean              | TRUE                                                                                                                                 | FALSE                   |                                                                                                                                                                             |
| number_as_presence_id                             | text                 | TRUE                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| ntp_server_primary                                | text                 | pool.ntp.org                                                                                                                         | TRUE                    |                                                                                                                                                                             |
| ntp_server_secondary                              | text                 | 2.us.pool.ntp.org                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| spa_time_zone                                     | text                 | GMT-07:00                                                                                                                            | TRUE                    |                                                                                                                                                                             |
| spa_time_format                                   | text                 | 12hr                                                                                                                                 | TRUE                    | 12hr,24hr                                                                                                                                                                   |
| spa_date_format                                   | text                 | day/month                                                                                                                            | TRUE                    |                                                                                                                                                                             |
| spa_back_light_timer                              | text                 | 30 s                                                                                                                                 | TRUE                    |                                                                                                                                                                             |
| spa_handle_via_rport                              | text                 | Yes                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| spa_insert_via_rport                              | text                 | Yes                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| spa_call_waiting                                  | text                 | Yes                                                                                                                                  | TRUE                    | Call Waiting Yes=enabled No=disable                                                                                                                                         |
| spa_feature_key_sync                              | text                 | No                                                                                                                                   | TRUE                    | Feature Key Sync Yes=enabled No=disable                                                                                                                                     |
| spa_dual_registration                             | text                 | No                                                                                                                                   | TRUE                    | Dual Registration Yes=enabled No=disable                                                                                                                                    |
| spa_register_when_failover                        | text                 | No                                                                                                                                   | TRUE                    | Auto register when failover Yes=enabled No=disable                                                                                                                          |
| snom_call_waiting                                 | text                 | on                                                                                                                                   | TRUE                    | Call Waiting on=enabled off=disable visual only and ringer                                                                                                                  |
| nway_conference                                   | text                 | TRUE                                                                                                                                 | FALSE                   | N-Way conferencing for devices supporting network conference uri                                                                                                            |
| vtech_vlan_wan_enable                             | text                 | 0                                                                                                                                    | FALSE                   | Enable vlan=1                                                                                                                                                               |
| vtech_vlan_wan_id                                 | text                 | 1                                                                                                                                    | FALSE                   | VLAN ID                                                                                                                                                                     |
| vtech_vlan_wan_priority                           | text                 | 0                                                                                                                                    | FALSE                   | VLAN Priority                                                                                                                                                               |
| stun_server                                       | text                 |                                                                                                                                      | FALSE                   | STUN server address                                                                                                                                                         |
| stun_port                                         | numeric              | 3478                                                                                                                                 | FALSE                   | STUN server port                                                                                                                                                            |
| aastra_gmt_offset                                 | numeric              | 0                                                                                                                                    | TRUE                    | Aastra timezone offset in minutes (e.g. 300 = GMT-5 = Eastern Standard Time)                                                                                                |
| aastra_time_format                                | numeric              | 0                                                                                                                                    | TRUE                    | Aastra clock format                                                                                                                                                         |
| aastra_date_format                                | numeric              | 0                                                                                                                                    | TRUE                    | Aastra date format                                                                                                                                                          |
| yealink_time_zone                                 | text                 | -5                                                                                                                                   | FALSE                   | Time zone ranges from -11 to +12                                                                                                                                            |
| yealink_time_zone_name                            | text                 | United States-Eastern Time                                                                                                           | FALSE                   | Time zone name example United States-Mountain Time                                                                                                                          |
| yealink_time_format                               | text                 | 1                                                                                                                                    | FALSE                   | 0-12 Hour, 1-24 Hour                                                                                                                                                        |
| yealink_rport                                     | boolean              | 1                                                                                                                                    | TRUE                    | Send the response back to the source it came from.                                                                                                                          |
| yealink_session_timer                             | boolean              | 0                                                                                                                                    | TRUE                    | SIP Session Timers                                                                                                                                                          |
| yealink_retransmission                            | boolean              | 0                                                                                                                                    | TRUE                    | Retransmission                                                                                                                                                              |
| yealink_subscribe_mwi_to_vm                       | boolean              | 1                                                                                                                                    | TRUE                    | subscribe to the voicemail MWI 0-Disabled (default), 1-Enabled                                                                                                              |
| yealink_srtp_encryption                           | text                 | 0                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| yealink_rfc2543_hold                              | numeric              | 0                                                                                                                                    | FALSE                   | Default 0                                                                                                                                                                   |
| yealink_blf_led_mode                              | numeric              | 0                                                                                                                                    | FALSE                   | The value is 0(default) or 1.                                                                                                                                               |
| yealink_trust_ctrl                                | numeric              | 1                                                                                                                                    | TRUE                    | (0-Disabled;1-Enabled)                                                                                                                                                      |
| yealink_direct_ip_call_enable                     | numeric              | 0                                                                                                                                    | FALSE                   | (0-Disabled;1-Enabled)                                                                                                                                                      |
| yealink_hide_feature_access_codes_enable          | numeric              | 0                                                                                                                                    | FALSE                   | (0-Disabled;1-Enabled)                                                                                                                                                      |
| yealink_voice_mail_popup_enable                   | numeric              | 0                                                                                                                                    | FALSE                   | Display Voice Mail Popup                                                                                                                                                    |
| yealink_missed_call_popup_enable                  | numeric              | 0                                                                                                                                    | FALSE                   | Display Missed Call Popup                                                                                                                                                   |
| yealink_cid_source                                | numeric              | 0                                                                                                                                    | TRUE                    | The type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM                                         |
| yealink_dtmf_hide                                 | numeric              | 1                                                                                                                                    | TRUE                    | 0-Disabled 1-Enabled                                                                                                                                                        |
| yealink_sip_listen_port                           | numeric              | 5060                                                                                                                                 | FALSE                   | 5060 default                                                                                                                                                                |
| yealink_firmware_url                              | text                 | https://server.yourdomain.com/app/yealink/resources/firmware                                                                         | TRUE                    | Base URL for Yealink Firmware. Download from http://support.yealink.com                                                                                                     |
| yealink_firmware_cp860                            | text                 | cp860-37.81.0.10.rom                                                                                                                 | TRUE                    | Filename of the CP860 firmware ROM                                                                                                                                          |
| yealink_firmware_cp960                            | text                 | cp960-73.80.0.25.rom                                                                                                                 | TRUE                    | Filename of the CP960 firmware ROM                                                                                                                                          |
| yealink_firmware_t29g                             | text                 | t29g-46.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T29G firmware ROM                                                                                                                                           |
| yealink_firmware_t38g                             | text                 | t38g-38.70.0.185.rom                                                                                                                 | TRUE                    | Filename of the T38G firmware ROM                                                                                                                                           |
| yealink_firmware_t40g                             | text                 | t40g-76.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T40G firmware ROM                                                                                                                                           |
| yealink_firmware_t40p                             | text                 | t40p-54.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T40P firmware ROM                                                                                                                                           |
| yealink_firmware_t41s                             | text                 | t41s-66.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T41S firmware ROM                                                                                                                                           |
| yealink_firmware_t42g                             | text                 | t42g-29.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T42G firmware ROM                                                                                                                                           |
| yealink_firmware_t42s                             | text                 | t42s-66.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T42S firmware ROM                                                                                                                                           |
| yealink_firmware_t46g                             | text                 | t46g-28.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T46G firmware ROM                                                                                                                                           |
| yealink_firmware_t46s                             | text                 | t46s-66.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T46S firmware ROM                                                                                                                                           |
| yealink_firmware_t48g                             | text                 | t48g-35.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T48G firmware ROM                                                                                                                                           |
| yealink_firmware_t48s                             | text                 | t48s-66.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T48S firmware ROM                                                                                                                                           |
| yealink_firmware_t49g                             | text                 | t49g-51.80.0.100.rom                                                                                                                 | TRUE                    | Filename of the T49G firmware ROM                                                                                                                                           |
| yealink_firmware_t54s                             | text                 | T54S(T52S)-70.82.0.20.rom                                                                                                            | TRUE                    | Firmware tested 2017-11-26                                                                                                                                                  |
| yealink_firmware_t56a                             | text                 | t56a-58.80.0.25.rom                                                                                                                  | TRUE                    | Filename of the T56A firmware ROM                                                                                                                                           |
| yealink_firmware_t58a                             | text                 | t58a-58.80.0.25.rom                                                                                                                  | TRUE                    | Filename of the T58A firmware ROM                                                                                                                                           |
| yealink_firmware_t58v                             | text                 | t58v-58.80.0.25.rom                                                                                                                  | TRUE                    | Filename of the T58V firmware ROM                                                                                                                                           |
| yealink_firmware_vp530                            | text                 | vp530-23.70.0.40.rom                                                                                                                 | TRUE                    | Filename of the VP530 firmware ROM                                                                                                                                          |
| yealink_network_vpn_enable                        | boolean              | 1                                                                                                                                    | FALSE                   | (0-Disabled;1-Enabled)                                                                                                                                                      |
| yealink_ip_address_mode                           | numeric              | 0                                                                                                                                    | FALSE                   | IP Address mode 0-ipv4, 1-ipv6, 2-ipv4&ipv6                                                                                                                                 |
| yealink_lldp_enable                               | boolean              | 0                                                                                                                                    | FALSE                   | LLDP 0-Disabled, 1-Enabled                                                                                                                                                  |
| yealink_cdp_enable                                | boolean              | 0                                                                                                                                    | FALSE                   | CDP 0-Disabled, 1-Enabled                                                                                                                                                   |
| yealink_overwrite_mode                            | boolean              | 0                                                                                                                                    | TRUE                    | Overwrite Mode 0-Disabled, 1-Enabled                                                                                                                                        |
| yealink_dsskey_length                             | numeric              | 0                                                                                                                                    | TRUE                    | DSS Key Label Length Default-0 Extended-1 Mid Range-2                                                                                                                       |
| yealink_feature_key_sync                          | numeric              | 0                                                                                                                                    | TRUE                    | Enable or disable the feature key synchronization; 0-Disabled (default) 1-Enabled                                                                                           |
| yealink_predial_autodial                          | boolean              | 0                                                                                                                                    | TRUE                    | Auto dial after digit timeout 0-Disabled (default), 1-Enabled                                                                                                               |
| yealink_ring_type                                 | text                 | custom.wav                                                                                                                           | FALSE                   | custom ring tone (Busy.wav)                                                                                                                                                 |
| yealink_ringtone_delete                           | text                 | http://localhost/all,delete                                                                                                          | FALSE                   | http://localhost/all,delete all the customized ring tones                                                                                                                   |
| daylight_savings_start_day                        | text                 | 11                                                                                                                                   | TRUE                    |                                                                                                                                                                             |
| daylight_savings_stop_month                       | text                 | 11                                                                                                                                   | TRUE                    |                                                                                                                                                                             |
| daylight_savings_stop_day                         | text                 | 4                                                                                                                                    | TRUE                    |                                                                                                                                                                             |
| http_auth_password                                | array                | 555                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| fanvil_stun_server                                | text                 | example.domain.tld                                                                                                                   | FALSE                   | enter a server name or ip                                                                                                                                                   |
| grandstream_dns_mode                              | text                 | 1                                                                                                                                    | FALSE                   | DNS Mode 0=A; 1=SRV; 2=NAPTR/SRV                                                                                                                                           |
| grandstream_global_contact_groups                 | text                 | contacts_elementary,contacts_facilities,contacts_other,contacts_secondary                                                            | FALSE                   | List of contact groups that every phone will have access to. Namely building sites.                                                                                        |
| grandstream_nat_traversal                         | text                 | 0                                                                                                                                    | TRUE                    | NAT Traversal. 0 - No, 1 - STUN, 2 - keep alive, 3 - UPnP, 4 - Auto, 5 - VPN                                                                                                |
| grandstream_phonebook_xml_server_path             | text                 | mydomain.com/app/provision/pb/                                                                                                       | TRUE                    | Grandstream Phonebook Server Path - NOTE template adds MAC on the end of this if contact_grandstream is enabled. This also requires nginx rewrite rules for phonebook.xml |
| polycom_gmt_offset                                | text                 |                                                                                                                                      | FALSE                   | 3600 * GMT offset                                                                                                                                                           |
| polycom_feature_key_sync                          | numeric              | 0                                                                                                                                    | TRUE                    | Feature Key Sync 1=enabled 0=disable                                                                                                                                        |
| voicemail_number                                  | text                 | *97                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| line_register_expires                             | numeric              | 120                                                                                                                                  | TRUE                    |                                                                                                                                                                             |
| contact_extensions                                | boolean              | TRUE                                                                                                                                 | FALSE                   | allow extensions to be provisioned as contacts as in provision templates                                                                                                    |
| spa_dial_plan                                     | text                 | (*xxxxxxx\|*xxxxxx\|*xxxxx\|*xxxx\|*xxx\|*xx*\|*x\|**xxxxx\|**xxxx\|**xxx\|**xx\|[3469]11\|0\|00\|[2-9]xxxxxx\|1xxx[2-9]xxxxxxS0\|xxxxxxxxxxxx.)     | TRUE                    |                                                                                                                                                                             |
| spa_secure_call_setting                           | text                 | No                                                                                                                                   | TRUE                    | spa secure call No or Yes                                                                                                                                                   |
| snom_time_zone                                    | text                 | USA-7                                                                                                                                | FALSE                   | http://wiki.snom.com/Settings/timezone                                                                                                                                      |
| yealink_date_format                               | text                 | 3                                                                                                                                    | FALSE                   | 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM                                                                    |
| yealink_outbound_proxy_fallback_interval          | numeric              | 3600                                                                                                                                 | FALSE                   | Integer from 0 to 65535                                                                                                                                                     |
| yealink_missed_call_power_led_flash_enable        | numeric              | 0                                                                                                                                    | FALSE                   | (0-Disabled:power indicator LED is off;1-Enabled:power indicator LED is solid red)                                                                                          |
| yealink_firmware_t41p                             | text                 | t41p-36.81.0.110.rom                                                                                                                 | TRUE                    | Filename of the T41P firmware ROM                                                                                                                                           |
| yealink_firmware_t52s                             | text                 | t52s-70.81.0.10.rom                                                                                                                  | TRUE                    | Filename of the T52S firmware ROM                                                                                                                                           |
| yealink_openvpn_url                               | text                 | hxxps://replace-this.url/openvpn.tar                                                                                                 | FALSE                   | (URL within 511 characters)                                                                                                                                                 |
| yealink_ringtone_url                              | text                 | custom.wav                                                                                                                           | FALSE                   | Before using this parameter, you should store the desired ring tone (custom.wav) to the provisioning server                                                                 |
| yealink_call_waiting                              | text                 | 0                                                                                                                                    | TRUE                    | Call Waiting 1=enabled 0=disable                                                                                                                                            |
| grandstream_dial_plan                             | text                 | {x+\|*x+\|*++\|\\p\\a\\r\\k\\+*x+\|\\f\\l\\o\\w\\+*x+}                                                                                             | TRUE                    | Define the digits that are allowed to be called.                                                                                                                            |

## Recordings

FusionPBX menu [Apps > Recordings](../applications/recordings.md)

Recordings specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                       |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------------------------|
| storage_type                | text                 | base64                | FALSE                   | Save recordings in the database in base64 format. |

## Ring Group

FusionPBX menu [Apps > Ring Group](../applications/ring_group.md)

Ring Groups specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description     |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------|
| destination_add_rows        | numeric              | 5                     | TRUE                    | Ring Group "add" rows default.  |
| destination_edit_rows       | numeric              | 1                     | TRUE                    | Ring Group "edit" rows default. |

## Security

Security specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                       |
|-----------------------------|----------------------|-----------------------|-------------------------|---------------------------------------------------|
| password_length             | numeric              | 15                    | TRUE                    | Set the required length for the generated passwords. |
| password_number             | boolean              | TRUE                  | FALSE                   | Set whether to require at least one number in passwords. |
| password_uppercase          | boolean              | TRUE                  | FALSE                   | Set whether to require at least one uppercase letter in passwords.                                                            |
| password_special            | boolean              | TRUE                  | FALSE                   | Set whether to require at least one special character in passwords.                                                           |
| session_rotate              | boolean              | TRUE                  | TRUE                    | Whether to regenerate the session ID.                                                                                         |
| password_lowercase          | boolean              | TRUE                  | TRUE                    | Set whether to require at least one lowercase letter in passwords.                                                            |
| password_strength           | numeric              | 4                     | TRUE                    | Set the default strength for generated passwords. Valid Options: 1 - Numeric Only, 2 - Include Lower Alpha, 3 - Include Upper Alpha, 4 - Include Special Characters. |

## Server

Server specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description |
|-----------------------------|----------------------|-----------------------|-------------------------|-----------------------------|
| temp                        | text                 | /tmp                  | TRUE                    | Set the temp directory.     |

## Switch

Switch specific default settings. These defaults will change depending if you compiled the SWITCH source or used the newest default of packages.

| Default Setting Subcategory | Default Setting Name | Default Setting Value                 | Default Setting Enabled | Default Setting Description               |
|-----------------------------|----------------------|---------------------------------------|-------------------------|-------------------------------------------|
| bin                         | dir                  |                                       | TRUE                    | Server path for bin.                      |
| base                        | dir                  | /usr                                  | TRUE                    | Server path for base.                     |
| call_center                 | dir                  | /etc/freeswitch/autoload_configs      | FALSE                   | Server path for Call Center.              |
| conf                        | dir                  | /etc/freeswitch                       | TRUE                    | Server path for Conf files.               |
| db                          | dir                  | /var/lib/freeswitch/db                | TRUE                    | Server path for sqlite db files.          |
| dialplan                    | dir                  | /etc/freeswitch/dialplan              | FALSE                   | Server path for xml dialplan              |
| extensions                  | dir                  | /etc/freeswitch/directory             | FALSE                   | Server path for extension directory.      |
| grammar                     | dir                  | /usr/share/freeswitch/grammar         | TRUE                    | Server path for grammar xml.              |
| log                         | dir                  | /var/log/freeswitch                   | TRUE                    | Server path for SWITCH logs.              |
| mod                         | dir                  | /usr/lib/freeswitch/mod               | TRUE                    | Server path for SWITCH mod's.             |
| phrases                     | dir                  | /etc/freeswitch/lang                  | TRUE                    | Server path for SWITCH xml phrases.       |
| recordings                  | dir                  | /var/lib/freeswitch/recordings        | TRUE                    | Server path for SWITCH recordings.        |
| scripts                     | dir                  | /usr/share/freeswitch/scripts         | TRUE                    | Server path for SWITCH scripts.           |
| sip_profiles                | dir                  | /etc/freeswitch/sip_profiles          | FALSE                   | Server path for SWITCH xml sip profiles.  |
| sounds                      | dir                  | /usr/share/freeswitch/sounds          | TRUE                    | Server path for SWITCH sounds.            |
| storage                     | dir                  | /var/lib/freeswitch/storage           | TRUE                    | Server path for SWITCH storage.           |
| voicemail                   | dir                  | /var/lib/freeswitch/storage/voicemail | TRUE                    | Server path for SWITCH voicemails.        |

## Theme

Theme specific default settings.

| Default Setting Subcategory             | Default Setting Name            | Default Setting Value                                        | Default Setting Enabled | Default Setting Description                                                                   |
|-----------------------------------------|---------------------------------|--------------------------------------------------------------|-------------------------|-----------------------------------------------------------------------------------------------|
| background_image                        | array                           | /themes/default/images/backgrounds/blue_blur.jpg             | TRUE                    |                                                                                               |
| background_color                        | array                           | #6c89b5                                                      | TRUE                    | Set a background color.                                                                       |
| background_image_enabled                | boolean                         | TRUE                                                         | TRUE                    | Enable use of background images.                                                              |
| logout_icon_visible                     | text                            | FALSE                                                        | TRUE                    | Set the visibility of the logout icon.                                                        |
| domain_color                            | text                            | #ffffff                                                      | FALSE                   | Set the text color (and opacity) for domain name.                                             |
| domain_color_hover                      | text                            | #69e5ff                                                      | FALSE                   | Set the text hover color (and opacity) for domain name.                                       |
| logout_icon_color                       | text                            | #ffffff                                                      | FALSE                   | Set the color (and opacity) for the logout icon (if visible).                                 |
| logout_icon_color_hover                 | text                            | #69e5ff                                                      | FALSE                   | Set the hover color (and opacity) for the logout icon (if visible).                           |
| menu_main_toggle_color                  | text                            | #ffffff                                                      | FALSE                   | Set the color (and opacity) for the menu toggle icon (in mobile view).                        |
| footer_background_color                 | text                            | rgba(0,0,0,0.1)                                              | TRUE                    | Set the background color (and opacity) for the footer bar.                                    |
| footer_color                            | text                            | rgba(255,255,255,0.1)                                        | FALSE                   | Set the text color (and opacity) for the footer bar.                                          |
| footer_border_radius                    | text                            | 0 0 4px 4px                                                  | FALSE                   | Set the border radius of the footer bar.                                                      |
| message_default_background_color        | text                            | #fafafa                                                      | TRUE                    | Set the background color for the positive (default) message bar.                              |
| message_default_color                   | text                            | #666                                                         | TRUE                    | Set the text color for the positive (default) message bar text.                               |
| message_positive_background_color       | text                            | #ccffcc                                                      | TRUE                    | Set the background color for the positive (positive) message bar.                             |
| message_positive_color                  | text                            | #004200                                                      | TRUE                    | Set the text color for the positive (positive) message bar text.                              |
| message_negative_background_color       | text                            | #ffcdcd                                                      | TRUE                    | Set the background color for the negative message bar.                                        |
| message_negative_color                  | text                            | #670000                                                      | TRUE                    | Set the text color for the negative message bar text.                                         |
| message_alert_background_color          | text                            | #ffe585                                                      | TRUE                    | Set the background color for the alert message bar.                                           |
| message_alert_color                     | text                            | #d66721                                                      | TRUE                    | Set the text color for the alert message bar text.                                            |
| message_opacity                         | text                            | 0.9                                                          | TRUE                    | Set the opacity of the message bar (decimal).                                                 |
| body_shadow_color                       | text                            | #000000                                                      | TRUE                    | Set the color (and opacity) of the body.                                                      |
| body_border_radius                      | text                            | 4px                                                          | FALSE                   | Set the border radius of the body.                                                            |
| cache                                   | boolean                         | FALSE                                                        | FALSE                   | Set whether to cache the theme in the session.                                                |
| logo_align                              | text                            | center                                                       | FALSE                   | Set the alignment of the header logo (Inline menu only)                                       |
| menu_main_background_color              | text                            | #ff0000                                                      | FALSE                   | Set a background color (and opacity) of the main menu bar.                                    |
| menu_main_background_color_hover        | text                            | #ff0000                                                      | FALSE                   | Set a background hover color (and opacity) of the main menu items.                            |
| menu_main_icons                         | boolean                         | FALSE                                                        | FALSE                   | Show icons next to main menu items.                                                           |
| menu_main_background_image              | text                            | /themes/default/images/background_black.png                  | FALSE                   | Set a background image for the main menu bar.                                                 |
| menu_main_shadow_color                  | text                            | #000000                                                      | TRUE                    | Set the shadow color (and opacity) of the main menu bar.                                      |
| menu_main_text_color                    | text                            | #ffffff                                                      | FALSE                   | Set the text color of the main menu items.                                                    |
| menu_main_text_color_hover              | text                            | #69e5ff                                                      | FALSE                   | Set the text hover color of the main menu items.                                              |
| menu_main_text_font                     | text                            | Arial                                                        | FALSE                   | Set the font of the main menu items.                                                          |
| menu_main_text_size                     | text                            | 10.25pt                                                      | FALSE                   | Set the text size of the main menu items.                                                     |
| menu_main_border_size                   | text                            | 1px                                                          | FALSE                   | Set the border size of the main menu.                                                         |
| menu_main_border_color                  | text                            | #ffffff                                                      | FALSE                   | Set the border color (and opacity) of the main menu.                                          |
| menu_position                           | text                            | top                                                          | TRUE                    | Set the position of the main menu (Fixed menu only).                                          |
| menu_style                              | text                            | fixed                                                        | TRUE                    | Set the style of the main menu.                                                               |
| menu_sub_background_color               | text                            | #000000                                                      | FALSE                   | Set the background color (and opacity) of the sub menus.                                      |
| menu_sub_icons                          | boolean                         | FALSE                                                        | TRUE                    | Show indicator icons next to selected sub menu items.                                         |
| menu_sub_shadow_color                   | text                            | #000000                                                      | TRUE                    | Set the shadow color (and opacity) of sub menus.                                              |
| menu_sub_text_color                     | text                            | #ffffff                                                      | FALSE                   | Set the text color (and opacity) of sub menu items.                                           |
| menu_sub_text_color_hover               | text                            | #69e5ff                                                      | FALSE                   | Set the hover text color (and opacity) of sub menu items.                                     |
| menu_sub_text_font                      | text                            | Arial                                                        | FALSE                   | Set the font of the sub menu items.                                                           |
| menu_sub_text_size                      | text                            | 10pt                                                         | FALSE                   | Set the text size of the sub menu items.                                                      |
| menu_sub_border_radius                  | text                            | 0 0 4px 4px                                                  | FALSE                   | Set the border radius of the sub menu.                                                        |
| menu_sub_border_size                    | text                            | 1px                                                          | FALSE                   | Set the border size of the sub menu.                                                          |
| heading_text_font                       | text                            | arial                                                        | FALSE                   | Set the font of the page heading text.                                                        |
| heading_text_size                       | text                            | 15px                                                         | FALSE                   | Set the size of the page heading text.                                                        |
| heading_text_color                      | text                            | #952424                                                      | FALSE                   | Set the color (and opacity) of the page heading text.                                         |
| body_text_font                          | text                            | arial                                                        | FALSE                   | Set the font of body text.                                                                    |
| body_text_color                         | text                            | #5f5f5f                                                      | FALSE                   | Set the color (and opacity) of the body text.                                                 |
| text_link_color                         | text                            | #004083                                                      | FALSE                   | Set the link color (and opacity) of text links outside tables.                                |
| text_link_color_hover                   | text                            | #5082ca                                                      | FALSE                   | Set the hover color (and opacity) of text links outside tables.                               |
| table_heading_text_font                 | text                            | arial                                                        | FALSE                   | Set the text font of table header rows.                                                       |
| table_heading_text_size                 | text                            | 12px                                                         | FALSE                   | Set the text size of table header rows.                                                       |
| table_heading_background_color          | text                            | #ffffff                                                      | FALSE                   | Set the background color (and opacity) of table header rows.                                  |
| table_heading_border_color              | text                            | #a4aebf                                                      | FALSE                   | Set the bottom border color (and opacity) of table header rows.                               |
| table_row_text_font                     | text                            | arial                                                        | FALSE                   | Set the text font of table data rows.                                                         |
| table_row_text_size                     | text                            | 12px                                                         | FALSE                   | Set the text size of table data rows.                                                         |
| table_row_text_color                    | text                            | #000                                                         | FALSE                   | Set the text color (and opacity) of table data rows.                                          |
| table_row_background_color_dark         | text                            | #e5e9f0                                                      | FALSE                   | Set the darker background color (and opacity) of table data rows.                             |
| table_row_background_color_medium               | text                                    | #f0f2f6                                                      | FALSE                   | Set the medium background color (and opacity) of table data rows.                             |
| table_row_border_color                          | text                                    | #c5d1e5                                                      | FALSE                   | Set the bottom border (dividing line) color (and opacity) of table data rows.                 |
| dashboard_border_color                          | text                                    | #dbe0ea                                                      | FALSE                   | Set the border color (and opacity) of the Dashboard blocks.                                   |
| dashboard_border_color_hover                    | text                                    | #cbd3e1                                                      | FALSE                   | Set the border hover color (and opacity) of the Dashboard block.                              |
| dashboard_border_radius                         | text                                    | 5px                                                          | FALSE                   | Set the border radius of the Dashboard block.                                                 |
| dashboard_heading_background_color              | text                                    | #8e96a5                                                      | FALSE                   | Set the background color (and opacity) of the Dashboard block heading.                        |
| dashboard_heading_background_color_hover        | text                                    | #969dab                                                      | FALSE                   | Set the background hover color (and opacity) of the Dashboard block heading.                  |
| dashboard_heading_text_color                    | text                                    | #ffffff                                                      | FALSE                   | Set the color (and opacity) of the Dashboard block heading text.                              |
| dashboard_heading_text_color_hover              | text                                    | #ffffff                                                      | FALSE                   | Set the hover color (and opacity) of the Dashboard block heading text.                        |
| dashboard_heading_text_size                     | text                                    | 10.5pt                                                       | FALSE                   | Set the size of the Dashboard block heading text.                                             |
| dashboard_heading_text_shadow_color             | text                                    | #000000                                                      | FALSE                   | Set the shadow color (and opacity) of the Dashboard block heading text.                       |
| dashboard_heading_text_shadow_color_hover       | text                                    | #000000                                                      | FALSE                   | Set the shadow hover color (and opacity) of the Dashboard block heading text.                 |
| dashboard_number_background_color               | text                                    | #a4aebf                                                      | FALSE                   | Set the background color (and opacity) of the Dashboard block number.                         |
| dashboard_number_background_color_hover         | text                                    | #aeb7c5                                                      | FALSE                   | Set the background hover color (and opacity) of the Dashboard block number.                   |
| dashboard_number_text_color                     | text                                    | #ffffff                                                      | FALSE                   | Set the color (and opacity) of the Dashboard block number.                                    |
| dashboard_number_text_color_hover               | text                                    | #ffffff                                                      | FALSE                   | Set the hover color (and opacity) of the Dashboard block number.                              |
| dashboard_number_text_font                      | text                                    | Calibri, Candara, Segoe, Segoe UI, Optima, Arial, sans-serif | FALSE                   | Set the font of the Dashboard block number.                                                   |
| dashboard_number_text_size                      | text                                    | 60pt                                                         | FALSE                   | Set the size of the Dashboard block number.                                                   |
| dashboard_number_text_shadow_color              | text                                    | #737983                                                      | FALSE                   | Set the shadow color (and opacity) of the Dashboard block number.                             |
| dashboard_number_title_text_color               | text                                    | #ffffff                                                      | FALSE                   | Set the color (and opacity) of the Dashboard block number title.                              |
| dashboard_number_title_text_font                | text                                    | Calibri, Candara, Segoe, Segoe UI, Optima, Arial, sans-serif | FALSE                   | Set the font of the Dashboard block number title.                                             |
| dashboard_number_title_text_size                | text                                    | 14px                                                         | FALSE                   | Set the size of the Dashboard block number title.                                             |
| dashboard_number_title_text_shadow_color        | text                                    | #737983                                                      | FALSE                   | Set the shadow color (and opacity) of the Dashboard block number title.                       |
| dashboard_detail_heading_text_size              | text                                    | 11px                                                         | FALSE                   | Set the size of the Dashboard block detail header text.                                       |
| dashboard_detail_row_text_size                  | text                                    | 11px                                                         | FALSE                   | Set the size of the Dashboard block detail row text.                                          |
| dashboard_detail_shadow_color                   | text                                    | #737983                                                      | FALSE                   | Set the shadow color of the Dashboard block detail box.                                       |
| dashboard_detail_background_color_center        | text                                    | #f9fbfe                                                      | FALSE                   | Set the center gradient color of the Dashboard block detail area.                             |
| dashboard_footer_background_color_hover         | text                                    | #ebeef3                                                      | FALSE                   | Set the background hover color (and opacity) of the Dashboard block footer bar.               |
| dashboard_footer_dots_color                     | text                                    | #a4aebf                                                      | FALSE                   | Set the color (and opacity) of the Dashboard block footer bar dots.                           |
| dashboard_footer_dots_color_hover               | text                                    | #a4aebf                                                      | FALSE                   | Set the hover color (and opacity) of the Dashboard block footer bar dots.                     |
| form_table_label_padding                        | text                                    | 7px 8px                                                      | FALSE                   | Set the padding of the form label cell.                                                       |
| form_table_label_background_color               | text                                    | #e5e9f0                                                      | FALSE                   | Set the background color (and opacity) of the form label cell.                                |
| form_table_label_border_color                   | text                                    | #ffffff                                                      | FALSE                   | Set the bottom-border color (and opacity) of the form label cell.                             |
| form_table_label_border_radius                  | text                                    | 4px                                                          | FALSE                   | Set the border radius of the form label cell.                                                 |
| form_table_label_text_size                      | text                                    | 9pt                                                          | FALSE                   | Set the text size of the form label.                                                          |
| form_table_label_text_font                      | text                                    | Arial                                                        | FALSE                   | Set the text font of the form label.                                                          |
| form_table_label_text_color                     | text                                    | #000000                                                      | FALSE                   | Set the text color (and opacity) of the form label.                                           |
| form_table_label_required_border_color          | text                                    | #cbcfd5                                                      | FALSE                   | Set the right-border color (and opacity) of the required form label cell.                     |
| form_table_label_required_text_color            | text                                    | #000000                                                      | FALSE                   | Set the text color (and opacity) of the required form label.                                  |
| form_table_label_required_text_weight           | text                                    | bold                                                         | FALSE                   | Set the text weight of the required form label.                                               |
| form_table_field_padding                        | text                                    | 6px                                                          | FALSE                   | Set the padding of the form field cell.                                                       |
| form_table_field_background_color               | text                                    | #ffffff                                                      | FALSE                   | Set the background color (and opacity) of the form field cell.                                |
| form_table_field_border_color                   | text                                    | #e5e9f0                                                      | FALSE                   | Set the bottom-border color (and opacity) of the form field cell.                             |
| form_table_field_border_radius                  | text                                    | 0                                                            | FALSE                   | Set the border radius of the form label cell.                                                 |
| form_table_field_text_size                      | text                                    | 8pt                                                          | FALSE                   | Set the size of text in the form field cell.                                                  |
| form_table_field_text_font                      | text                                    | Arial                                                        | FALSE                   | Set the font of text in the form field cell.                                                  |
| form_table_heading_padding                      | text                                    | 8px 8px 4px 8px                                              | FALSE                   | Set the padding of form column headings.                                                      |
| form_table_row_padding                          | text                                    | 3px 0                                                        | FALSE                   | Set the padding of form row cells.                                                            |
| form_table_row_text_size                        | text                                    | 9pt                                                          | FALSE                   | Set the size of text in the form rows.                                                        |
| login_background_color                          | array                                   | #6c89b5                                                      | FALSE                   | Set the background color of the login page.                                                   |
| login_background_color                          | array                                   | #144794                                                      | FALSE                   | Set a secondary background color of the login page, for a gradient effect.                    |
| login_background_image_enabled                  | boolean                                 | TRUE                                                         | FALSE                   | Enable use of background images on the login page.                                            |
| login_body_background_color                     | text                                    | rgba(255,255,255,0.3)                                        | TRUE                    | Set the background color for the login box.                                                   |
| login_body_shadow_color                         | text                                    | rgba(140,140,140,0.3)                                        | TRUE                    | Set the shadow color of the login box.                                                        |
| login_body_padding                              | text                                    | 30px                                                         | FALSE                   | Set the padding of the login box.                                                             |
| login_body_width                                | text                                    | 100%                                                         | FALSE                   | Set the width of the login box.                                                               |
| login_body_border_size                          | text                                    | 1px                                                          | FALSE                   | Set the border size of the login box.                                                         |
| login_body_border_color                         | text                                    | #ffffff                                                      | FALSE                   | Set the border color (and opacity) of the login box.                                          |
| login_link_text_color                           | text                                    | #004083                                                      | FALSE                   | Set the color (and opacity) of text links on the login box.                                   |
| login_link_text_color_hover                     | text                                    | #5082ca                                                      | FALSE                   | Set the hover color (and opacity) of text links on the login box.                             |
| login_link_text_size                            | text                                    | 11px                                                         | FALSE                   | Set the size of text links on the login box.                                                  |
| login_link_text_font                            | text                                    | Arial                                                        | FALSE                   | Set the font of text links on the login box.                                                  |
| button_background_color_bottom                  | text                                    | #000000                                                      | FALSE                   | Set the background bottom color (and opacity) of buttons.                                     |
| button_background_color_hover                   | text                                    | #000000                                                      | FALSE                   | Set the background main/top hover color (and opacity) of buttons.                             |
| button_background_color_bottom_hover            | text                                    | #000000                                                      | FALSE                   | Set the background bottom hover color (and opacity) of buttons.                               |
| button_border_size                              | text                                    | 1px                                                          | FALSE                   | Set the border size of buttons.                                                               |
| button_border_color                             | text                                    | #242424                                                      | FALSE                   | Set the border color (and opacity) of buttons.                                                |
| button_border_color_hover                       | text                                    | #000000                                                      | FALSE                   | Set the border hover color (and opacity) of buttons.                                          |
| button_border_radius                            | text                                    | 3px                                                          | FALSE                   | Set the border radius of buttons.                                                             |
| button_text_size                                | text                                    | 11px                                                         | FALSE                   | Set the size of button text.                                                                  |
| button_text_color                               | text                                    | #ffffff                                                      | FALSE                   | Set the color (and opacity) of button text.                                                   |
| button_text_weight                              | text                                    | bold                                                         | FALSE                   | Set the weight of button text.                                                                |
| button_padding                                  | text                                    | 5px 8px                                                      | FALSE                   | Set the padding of buttons.                                                                   |
| button_height                                   | text                                    | 28px                                                         | FALSE                   | Set the height of buttons.                                                                    |
| input_border_color                              | text                                    | #c0c0c0                                                      | FALSE                   | Set the border color (and opacity) of text inputs.                                            |
| input_border_color_hover                        | text                                    | #c0c0c0                                                      | FALSE                   | Set the border hover color (and opacity) of text inputs.                                      |
| input_border_color_focus                        | text                                    | #c0c0c0                                                      | FALSE                   | Set the border focus color (and opacity) of text inputs.                                      |
| input_border_size                               | text                                    | 1px                                                          | FALSE                   | Set the border size of text inputs.                                                           |
| input_border_radius                             | text                                    | 3px                                                          | FALSE                   | Set the border radius of text inputs.                                                         |
| input_shadow_inner_color                        | text                                    | #cddaf0                                                      | TRUE                    | Set the inner shadow color (and opacity) of text inputs.                                      |
| input_shadow_outer_color                        | text                                    | #ffffff                                                      | FALSE                   | Set the outer shadow color (and opacity) of text inputs.                                      |
| input_shadow_outer_color_focus                  | text                                    | #cddaf0                                                      | TRUE                    | Set the outer focus shadow color (and opacity) of text inputs.                                |
| input_text_size                                 | text                                    | 12px                                                         | FALSE                   | Set the size of text input content.                                                           |
| input_text_font                                 | text                                    | Arial                                                        | FALSE                   | Set the font of text input content.                                                           |
| input_text_color                                | text                                    | #000000                                                      | FALSE                   | Set the color (and opacity) of text input content.                                            |
| input_text_placeholder_color                    | text                                    | #999999                                                      | FALSE                   | Set the color (and opacity) of input placeholder text.                                        |
| login_input_background_color                    | text                                    | #ffffff                                                      | FALSE                   | Set the background color (and opacity) of text inputs on the login box.                       |
| login_input_border_color                        | text                                    | #c0c0c0                                                      | FALSE                   | Set the border color (and opacity) of text inputs on the login box.                           |
| login_input_border_color_focus                  | text                                    | #c0c0c0                                                      | FALSE                   | Set the border focus color (and opacity) of text inputs on the login box.                     |
| login_input_border_size                         | text                                    | 1px                                                          | FALSE                   | Set the border size of text inputs on the login box.                                          |
| login_input_border_radius                       | text                                    | 3px                                                          | FALSE                   | Set the border radius of text inputs on the login box.                                        |
| login_input_shadow_inner_color                  | text                                    | #cddaf0                                                      | FALSE                   | Set the inner shadow color (and opacity) of text inputs on the login box.                     |
| login_input_shadow_inner_color_focus            | text                                    | #ffffff                                                      | FALSE                   | Set the inner focus shadow color (and opacity) of text inputs on the login box.               |
| login_input_shadow_outer_color                  | text                                    | #ffffff                                                      | FALSE                   | Set the outer shadow color (and opacity) of text inputs on the login box.                     |
| login_input_shadow_outer_color_focus            | text                                    | #cddaf0                                                      | FALSE                   | Set the outer focus shadow color (and opacity) of text inputs on the login box.               |
| login_input_text_size                           | text                                    | 12px                                                         | FALSE                   | Set the size of text input content on the login box.                                          |
| login_input_text_font                           | text                                    | Arial                                                        | FALSE                   | Set the font of text input content on the login box.                                          |
| login_input_text_placeholder_color              | text                                    | #999999                                                      | FALSE                   | Set the color (and opacity) of input placeholder text on the login box.                       |
| font_loader                                     | text                                    | TRUE                                                         | FALSE                   | Enables the dynamic loading of web fonts (requires an Internet connection).                   |
| font_loader_version                             | text                                    | 1.6.16                                                       | FALSE                   | Set the web font loader version to use - specific (e.g. 1.6.16) or latest in branch (e.g. 1). |
| font_retrieval                                  | text                                    | asynchronous                                                 | FALSE                   | Set the retrieval method for the web font loader (default: synchronous).                      |
| font_source_key                                 | text                                    |                                                              | FALSE                   | API key that allows access to the available fonts list.                                       |
| body_icon_color                                 | text                                    | rgba(255,255,255,0.25)                                       | FALSE                   | Set the color (and opacity) for the icons in the body.                                        |
| body_icon_color_hover                           | text                                    | rgba(255,255,255,0.50)                                       | FALSE                   | Set the hover color (and opacity) for the icons in the body.                                  |
| menu_brand_type                                 | text                                    | image                                                        | FALSE                   |                                                                                               |
| background_color                                | array                                   | #144794                                                      | TRUE                    | Set a secondary background color, for a gradient effect.                                      |
| domain_visible                                  | text                                    | TRUE                                                         | TRUE                    | Set the visibility of the name of the domain currently being managed.                         |
| menu_main_toggle_color_hover                    | text                                    | #69e5ff                                                      | FALSE                   | Set the hover color (and opacity) for the menu toggle icon (in mobile view).                  |
| message_delay                                   | text                                    | 1.75                                                         | TRUE                    | Set the hide delay of the message bar (seconds).                                              |
| domain_selector_shadow_color                    | text                                    | #888888                                                      | TRUE                    | Set the shadow color (and opacity) of the domain selector pane.                               |
| menu_main_border_radius                         | text                                    | 0 0 4px 4px                                                  | FALSE                   | Set the border radius of the main menu.                                                       |
| menu_sub_background_color_hover                 | text                                    |                                                              | FALSE                   | Set the hover background color (and opacity) of the sub menu items.                           |
| menu_sub_border_color                           | text                                    | #ffffff                                                      | FALSE                   | Set the border color (and opacity) of the sub menu.                                           |
| body_text_size                                  | text                                    | 12px                                                         | FALSE                   | Set the size of the body text.                                                                |
| table_heading_text_color                        | text                                    | #3164ad                                                      | FALSE                   | Set the text color (and opacity) of table header rows.                                        |
| table_row_background_color_light                | text                                    | #fff                                                         | FALSE                   | Set the lighter background color (and opacity) of table data rows.                            |
| dashboard_heading_text_font                     | text                                    | Calibri, Candara, Segoe, Segoe UI, Optima, Arial, sans-serif | FALSE                   | Set the font of the Dashboard block heading text.                                             |
| dashboard_number_text_shadow_color_hover        | text                                    | #737983                                                      | FALSE                   | Set the shadow hover color (and opacity) of the Dashboard block number.                       |
| dashboard_detail_background_color_edge          | text                                    | #edf1f7                                                      | FALSE                   | Set the edge gradient color of the Dashboard block detail area.                               |
| dashboard_footer_background_color               | text                                    | #e5e9f0                                                      | FALSE                   | Set the background color (and opacity) of the Dashboard block footer bar.                     |
| form_table_label_required_background_color      | text                                    | #e5e9f0                                                      | FALSE                   | Set the background color of the required form label cell.                                     |
| form_table_field_text_color                     | text                                    | #666666                                                      | FALSE                   | Set the color (and opacity) of text in the form field cell.                                   |
| login_body_border_radius                        | text                                    | 4px                                                          | FALSE                   | Set the border radius of the login box.                                                       |
| button_background_color                         | text                                    | #4f4f4f                                                      | FALSE                   | Set the background main/top color (and opacity) of buttons.                                   |
| button_text_font                                | text                                    | Candara, Calibri, Segoe, Segoe UI, Optima, Arial, sans-serif | FALSE                   | Set the font of button text.                                                                  |
| button_text_color_hover                         | text                                    | #ffffff                                                      | FALSE                   | Set the hover color (and opacity) of button text.                                             |
| input_background_color                          | text                                    | #ffffff                                                      | FALSE                   | Set the background color (and opacity) of text inputs.                                        |
| input_shadow_inner_color_focus                  | text                                    | #ffffff                                                      | FALSE                   | Set the inner focus shadow color (and opacity) of text inputs.                                |
| login_input_border_color_hover                  | text                                    | #c0c0c0                                                      | FALSE                   | Set the border hover color (and opacity) of text inputs on the login box.                     |
| login_input_text_color                          | text                                    | #000000                                                      | FALSE                   | Set the color (and opacity) of text input content on the login box.                           |
| body_color                                      | text                                    | rgba(255,255,255,0.77)                                       | TRUE                    | Set the body background color (and opacity) of the content.                                   |
| background_image                                | array                                   | /themes/default/images/backgrounds/yellowstone_3.jpg         | FALSE                   |                                                                                               |

## Time Conditions

FusionPBX menu [Apps > Time Conditions](../applications/time_conditions.md)

Time Conditions specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value                                                       | Default Setting Enabled | Default Setting Description                                 |
|-----------------------------|----------------------|-----------------------------------------------------------------------------|-------------------------|-------------------------------------------------------------|
| region                      | text                 | usa                                                                         | TRUE                    | What region to use by default when choosing Time Conditions |
| preset_england              | array                | {"new_years_day":{"mday":"1","mon":"1"}}                                    | TRUE                    | England Holiday                                             |
| preset_england              | array                | {"may_day":{"mon":"5","mday":"1-7","wday":"2"}}                             | TRUE                    | England Holiday                                             |
| preset_england              | array                | {"august_bank_holiday":{"mon":"8","mday":"25-31","wday":"2"}}               | TRUE                    | England Holiday                                             |
| preset_england              | array                | {"christmas_day":{"mday":"25","mon":"12"}}                                  | TRUE                    | England Holiday                                             |
| preset_england              | array                | {"boxing_day":{"mday":"26","mon":"12"}}                                     | TRUE                    | England Holiday                                             |
| preset_usa                  | array                | {"new_years_day":{"mday":"1","mon":"1"}}                                    | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"presidents_day":{"wday":"2","mon":"2","mday":"15-21"}}                    | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"memorial_day":{"mday":"25-31","wday":"2","mon":"5"}}                      | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"independence_day":{"mday":"4","mon":"7"}}                                 | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"labor_day":{"wday":"2","mon":"9","mday":"1-7"}}                           | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"columbus_day":{"wday":"2","mon":"10","mday":"8-14"}}                      | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"veterans_day":{"mday":"11","mon":"11"}}                                   | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"black_friday":{"wday":"6","mon":"11","mday":"23-29"}}                     | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"christmas_day":{"mday":"25","mon":"12"}}                                  | TRUE                    | USA Holiday                                                 |
| preset_canada               | array                | {"new_years_day":{"mday":"1","mon":"1"}}                                    | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"family_day":{"wday":"2","mon":"2","mday":"8-14"}}                         | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"victoria_day":{"wday":"2","mon":"5","mday":"18-24"}}                      | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"canada_day":{"mday":"1","mon":"7"}}                                       | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"bc_day":{"wday":"2","mon":"8","mday":"1-7"}}                              | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"remembrance_day":{"mday":"11","mon":"11"}}                                | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"christmas_day":{"mday":"25","mon":"12"}}                                  | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"boxing_day":{"mday":"26","mon":"12"}}                                     | TRUE                    | Canada Holiday                                              |
| preset_canada               | array                | {"labour_day":{"wday":"2","mon":"9","mday":"1-7"}}                          | TRUE                    | Canada Holiday                                              |
| preset_england              | array                | {"spring_bank_holiday":{"mon":"5","mday":"25-31","wday":"2"}}               | TRUE                    | England Holiday                                             |
| preset_usa                  | array                | {"martin_luther_king_jr_day":{"wday":"2","mon":"1","mday":"15-21"}}         | TRUE                    | USA Holiday                                                 |
| preset_usa                  | array                | {"thanksgiving_day":{"wday":"5","mon":"11","mday":"22-28"}}                 | TRUE                    | USA Holiday                                                 |
| preset_canada               | array                | {"thanksgiving_day":{"wday":"2","mon":"10","mday":"8-14"}}                  | TRUE                    | Canada Holiday                                              |

## User

FusionPBX menu [Accounts > Users](../accounts/users.md)

User specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                                              |
|-----------------------------|----------------------|-----------------------|-------------------------|--------------------------------------------------------------------------|
| password_special            | boolean              | FALSE                 | TRUE                    | Set whether to require at least one special character in user passwords. |
| unique                      | text                 | global                | FALSE                   | Make all user names unique on all domains.                               |
| password_length             | numeric              | 10                    | TRUE                    | The default length of characters in a user password.                     |
| password_number             | boolean              | TRUE                  | TRUE                    | Set whether to require at least one number in user passwords.            |
| password_lowercase          | boolean              | TRUE                  | TRUE                    | Set whether to require at least one lowercase letter in user passwords.  |
| password_uppercase          | boolean              | TRUE                  | TRUE                    | Set whether to require at least one uppercase letter in user passwords.  |

## Voicemail

FusionPBX menu [Apps > Voicemail](../applications/voicemail.md)

Voicemail specific default settings.

| Default Setting Subcategory | Default Setting Name | Default Setting Value | Default Setting Enabled | Default Setting Description                                                                  |
|-----------------------------|----------------------|-----------------------|-------------------------|----------------------------------------------------------------------------------------------|
| voicemail_file              | text                 | attach                | TRUE                    | Define whether to attach voicemail files to email notifications, or only include a link.     |
| keep_local                  | boolean              | TRUE                  | TRUE                    | Define whether to keep voicemail files on the local system after sending attached via email. |
| storage_type                | text                 | base64                | FALSE                   | Define which storage type (base_64 stores in the database).                                  |
| message_max_length          | numeric              | 300                   | TRUE                    | Maximum length of a voicemail (in seconds).                                                  |
| password_length             | numeric              | 8                     | TRUE                    | The default length of characters in a voicemail password.                                    |
| display_domain_name         | boolean              | TRUE                  | FALSE                   | Enable display of @domain_name after voicemail_id when rendering emails.                     |
| remote_access               | boolean              | FALSE                 | TRUE                    | Allow access to the voicemail menu with the correct voicemail password.                      |
| message_order               | text                 | asc                   | TRUE                    | Set message order to asc to play oldest message first or desc to play newest message first.  |
| password_complexity         | boolean              | TRUE                  | FALSE                   | Enforce voicemail password complexity.                                                       |
| password_min_length         | numeric              | 4                     | FALSE                   | Minimum voicemail password length.                                                           |
| smtp_from                   | text                 |                       | TRUE                    | SMTP From: specific to Voicemail.                                                            |
| smtp_from_name              | text                 |                       | TRUE                    | SMTP From: Name specific to Voicemail.                                                       |
| not_found_message           | boolean              | FALSE                 | TRUE                    | Default for not found message.                                                               |
| greeting_max_length         | numeric              | 90                    | TRUE                    | Maximum length of a voicemail greeting (in seconds).                                         |
