# Contributing

There are many ways to help the FusionPBX project.

### What We Need

1. Developers
2. Technical Writers
3. Translators
4. Quality Assurance Testers
5. Documentors

:::{note}   
If you are planning to contribute to any of our GitHub repos, we require that you sign   
the FusionPBX Contributor License Agreement. This mainly protects FusionPBX and our users
from code that could be inserted that might pose a legal problem. It does this by verifying the code you're   
contributing is yours to give and that you give it freely and irrevocably to the project.
:::   

### How to Get Started

1. Watch the "FusionPBX Pull Requests with GitHub" YouTube video: [https://youtu.be/SPUe7S4Z6ms](https://youtu.be/SPUe7S4Z6ms)

   <div style="text-align: center; margin-bottom: 2em;">
   <iframe width="100%" height="350" src="https://www.youtube.com/embed/SPUe7S4Z6ms?rel=0" frameborder="0" allowfullscreen></iframe>
   </div>

2. If you have a good handle on PHP, Lua, or SQL, development might be the thing for you. Head over to the Development Manual.
3. Are you a FusionPBX power user and do you possibly love to write? Check out the Documentation Guide or the Testing Guide.
4. Would you like to see FusionPBX in your native language and have the time to commit to staying on top of translations for releases?   
   Check out the translation section to learn how to use our translation server.

:::{note}   
Contributing code or documentation requires knowledge of Git, GitHub, and how to create pull requests on GitHub.   
This is not as bad as it sounds, and if you are willing to learn, we will help you through it.   
:::   

```{toctree}
:maxdepth: 1

contributing/sign_the_cla.md
contributing/github_rebase.md
contributing/coding_standards.md
```
