# Dialplan Application

Dialplan Application uses FreeSWITCH **show application** to build the
dropdown lists found in FusionPBX dialplans. This is a list
from a default install and the list can change depending on how many
FreeSWITCH modules are installed.

| name                        | description                                                              | syntax                                                                                                                                                     | ikey              |
| --------------------------- | ------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------- |
| answer                      | Answer the call                                                          |                                                                                                                                                            | mod_dptools       |
| att_xfer                    | Attended Transfer                                                        | <channel_url>                                                                                                                                              | mod_dptools       |
| bgsystem                    | Execute a system command in the background                               | <command>                                                                                                                                                  | mod_dptools       |
| bind_digit_action           | bind a key sequence or regex to an action                                | <realm>,<digits\|~regex>,<string>[,<value>][,<dtmf target leg>][,<event target leg>]                                                                       | mod_dptools       |
| bind_meta_app               | Bind a key to an application                                             | <key> [a\|b\|ab] [a\|b\|o\|s\|i\|1] <app>                                                                                                                  | mod_dptools       |
| block_dtmf                  | Block DTMF                                                               |                                                                                                                                                            | mod_dptools       |
| break                       | Break                                                                    |                                                                                                                                                            | mod_dptools       |
| bridge                      | Bridge Audio                                                             | <channel_url>                                                                                                                                              | mod_dptools       |
| bridge_export               | Export a channel variable across a bridge                                | <varname>=<value>                                                                                                                                          | mod_dptools       |
| callcenter                  | CallCenter                                                               | queue_name                                                                                                                                                 | mod_callcenter    |
| capture                     | capture data into a var                                                  | <varname>\|<data>\|<regex>                                                                                                                                 | mod_dptools       |
| check_acl                   | Check an ip against an ACL list                                          | <ip> <acl \| cidr> [<hangup_cause>]                                                                                                                        | mod_dptools       |
| clear_digit_action          | clear all digit bindings                                                 | <realm>\|all[,target]                                                                                                                                      | mod_dptools       |
| clear_speech_cache          | Clear Speech Handle Cache                                                |                                                                                                                                                            | mod_dptools       |
| cng_plc                     | Do PLC on CNG frames                                                     |                                                                                                                                                            | mod_dptools       |
| conference                  | conference                                                               |                                                                                                                                                            | mod_conference    |
| conference_set_auto_outcall | conference_set_auto_outcall                                              |                                                                                                                                                            | mod_conference    |
| db                          | Insert to the db                                                         | [insert\|delete]/<realm>/<key>/<val>                                                                                                                       | mod_db            |
| decode_video                | decode picture                                                           | [max_pictures]                                                                                                                                             | mod_fsv           |
| deduplicate_dtmf            | Prevent duplicate inband + 2833 dtmf                                     | [only_rtp]                                                                                                                                                 | mod_dptools       |
| deflect                     | Send call deflect                                                        | <deflect_data>                                                                                                                                             | mod_dptools       |
| delay_echo                  | echo audio at a specified delay                                          | <delay ms>                                                                                                                                                 | mod_dptools       |
| detect_audio                | detect_audio                                                             | <threshold> <audio_hits> <timeout_ms> [<file>]                                                                                                             | mod_dptools       |
| detect_silence              | detect_silence                                                           | <threshold> <silence_hits> <timeout_ms> [<file>]                                                                                                           | mod_dptools       |
| detect_speech               | Detect speech                                                            | <mod_name> <gram_name> <gram_path> [<addr>] OR grammar <gram_name> [<path>] OR nogrammar <gram_name> OR grammaron/grammaroff <gram_name> OR grammarsalloff | mod_dptools       |
|                             | OR pause OR resume OR start_input_timers OR stop OR param <name> <value> |
| digit_action_set_realm      | change binding realm                                                     | <realm>[,<target>]                                                                                                                                         | mod_dptools       |
| displace_session            | Displace File                                                            | <path> [<flags>] [+time_limit_ms]                                                                                                                          | mod_dptools       |
| early_hangup                | Enable early hangup                                                      |                                                                                                                                                            | mod_dptools       |
| eavesdrop                   | eavesdrop on a uuid                                                      | [all \| <uuid>]                                                                                                                                            | mod_dptools       |
| echo                        | Echo                                                                     |                                                                                                                                                            | mod_dptools       |
| enable_heartbeat            | Enable Media Heartbeat                                                   | [0\|<seconds>]                                                                                                                                             | mod_dptools       |
| enable_keepalive            | Enable Keepalive                                                         | [0\|<seconds>]                                                                                                                                             | mod_dptools       |
| endless_playback            | Playback File Endlessly                                                  | <path>                                                                                                                                                     | mod_dptools       |
| enum                        | Perform an ENUM lookup                                                   | [reload \| <number> [<root>]]                                                                                                                              | mod_enum          |
| eval                        | Do Nothing                                                               |                                                                                                                                                            | mod_dptools       |
| event                       | Fire an event                                                            |                                                                                                                                                            | mod_dptools       |
| execute_extension           | Execute an extension                                                     | <extension> <dialplan> <context>                                                                                                                           | mod_dptools       |
| export                      | Export a channel variable across a bridge                                | <varname>=<value>                                                                                                                                          | mod_dptools       |
| fax_detect                  | Detect faxes                                                             |                                                                                                                                                            | mod_dptools       |
| fifo                        | Park with FIFO                                                           | <fifo name>[!<importance_number>] [in [<announce file>\|undef] [<music file>\|undef] \| out [wait\|nowait] [<announce file>\|undef] [<music file>\|undef]] | mod_fifo          |
| fifo_track_call             | Count a call as a fifo call in the manual_calls queue                    | <fifo_outbound_uuid>                                                                                                                                       | mod_fifo          |
| fire                        | fire the message                                                         |                                                                                                                                                            | mod_sms           |
| flush_dtmf                  | flush any queued dtmf                                                    |                                                                                                                                                            | mod_dptools       |
| gentones                    | Generate Tones                                                           | <tgml_script>[[\|](https://github.com/fusionpbx/fusionpbx-docs/blob/master/source/dialplan/dialplan_application.rst#id1)<loops>]                           | mod_dptools       |
| group                       | Manage a group                                                           | [insert\|delete]:<group name>:<val>                                                                                                                        | mod_db            |
| hangup                      | Hangup the call                                                          | [<cause>]                                                                                                                                                  | mod_dptools       |
| hash                        | Insert into the hashtable                                                | [insert\|insert_ifempty\|delete\|delete_ifmatch]/<realm>/<key>/<val>                                                                                       | mod_hash          |
| hold                        | Send a hold message                                                      | [<display message>]                                                                                                                                        | mod_dptools       |
| info                        | Display Call Info                                                        |                                                                                                                                                            | mod_sms           |
| info                        | Display Call Info                                                        |                                                                                                                                                            | mod_dptools       |
| intercept                   | intercept                                                                | [-bleg] <uuid>                                                                                                                                             | mod_dptools       |
| ivr                         | Run an ivr menu                                                          |                                                                                                                                                            | mod_dptools       |
| jitterbuffer                | Send session jitterbuffer                                                | <jitterbuffer_data>                                                                                                                                        | mod_dptools       |
| limit                       | Limit                                                                    | <backend> <realm> <id> [<max>[/interval]] [number [dialplan [context]]]                                                                                    | mod_dptools       |
| limit_execute               | Limit                                                                    | <backend> <realm> <id> <max>[/interval] <application> [application arguments]                                                                              | mod_dptools       |
| limit_hash                  | Limit                                                                    | <realm> <id> [<max>[/interval]] [number [dialplan [context]]]                                                                                              | mod_dptools       |
| limit_hash_execute          | Limit                                                                    | <realm> <id> <max>[/interval] <application> [application arguments]                                                                                        | mod_dptools       |
| log                         | Logs to the logger                                                       | <log_level> <log_string>                                                                                                                                   | mod_dptools       |
| loop_playback               | Playback File looply                                                     | [+loops] <path>                                                                                                                                            | mod_dptools       |
| media_reset                 | Reset all bypass/proxy media flags                                       |                                                                                                                                                            | mod_dptools       |
| mkdir                       | Create a directory                                                       | <path>                                                                                                                                                     | mod_dptools       |
| multiset                    | Set many channel variables                                               | [^^<delim>]<varname>=<value> <var2>=<val2>                                                                                                                 | mod_dptools       |
| multiunset                  | Unset many channel variables                                             | [^^<delim>]<varname> <var2> <var3>                                                                                                                         | mod_dptools       |
| mutex                       | block on a call flow only allowing one at a time                         | <keyname>[ on\|off]                                                                                                                                        | mod_dptools       |
| novideo                     | Refuse Inbound Video                                                     |                                                                                                                                                            | mod_dptools       |
| park                        | Park                                                                     |                                                                                                                                                            | mod_dptools       |
| park_state                  | Park State                                                               |                                                                                                                                                            | mod_dptools       |
| phrase                      | Say a Phrase                                                             | <macro_name>,<data>                                                                                                                                        | mod_dptools       |
| pickup                      | Pickup                                                                   | [<key>]                                                                                                                                                    | mod_dptools       |
| play_and_detect_speech      | Play and do speech recognition                                           | <file> detect:<engine> {param1=val1,param2=val2}<grammar>                                                                                                  | mod_dptools       |
| play_and_get_digits         | Play and get Digits                                                      | <min> <max> <tries> <timeout> <terminators> <file> <invalid_file> <var_name> <regexp> [<digit_timeout>] ['<failure_ext> [failure_dp [failure_context]]']   | mod_dptools       |
| play_fsv                    | play a fsv file                                                          | <file>                                                                                                                                                     | mod_fsv           |
| play_yuv                    | play a yvv file                                                          | <file> [width] [height]                                                                                                                                    | mod_fsv           |
| playback                    | Playback File                                                            | <path>                                                                                                                                                     | mod_dptools       |
| pre_answer                  | Pre-Answer the call                                                      |                                                                                                                                                            | mod_dptools       |
| preprocess                  | pre-process                                                              |                                                                                                                                                            | mod_dptools       |
| presence                    | Send Presence                                                            | <rpid> <status> [<id>]                                                                                                                                     | mod_dptools       |
| privacy                     | Set privacy on calls                                                     | off\|on\|name\|full\|number                                                                                                                                | mod_dptools       |
| push                        | Set a channel variable                                                   | <varname>=<value>                                                                                                                                          | mod_dptools       |
| queue_dtmf                  | Queue dtmf to be sent                                                    | <dtmf_data>                                                                                                                                                | mod_dptools       |
| read                        | Read Digits                                                              | <min> <max> <file> <var_name> <timeout> <terminators> <digit_timeout>                                                                                      | mod_dptools       |
| record                      | Record File                                                              | <path> [<time_limit_secs>] [<silence_thresh>] [<silence_hits>]                                                                                             | mod_dptools       |
| record_fsv                  | record an fsv file                                                       | <file>                                                                                                                                                     | mod_fsv           |
| record_session              | Record Session                                                           | <path> [+<timeout>]                                                                                                                                        | mod_dptools       |
| record_session_mask         | Mask audio in recording                                                  | <path>                                                                                                                                                     | mod_dptools       |
| record_session_unmask       | Resume recording                                                         | <path>                                                                                                                                                     | mod_dptools       |
| recovery_refresh            | Send call recovery_refresh                                               |                                                                                                                                                            | mod_dptools       |
| redirect                    | Send session redirect                                                    | <redirect_data>                                                                                                                                            | mod_dptools       |
| remove_bugs                 | Remove media bugs                                                        | [<function>]                                                                                                                                               | mod_dptools       |
| rename                      | Rename file                                                              | <from_path> <to_path>                                                                                                                                      | mod_dptools       |
| reply                       | reply to a message                                                       |                                                                                                                                                            | mod_sms           |
| respond                     | Send session respond                                                     | <respond_data>                                                                                                                                             | mod_dptools       |
| ring_ready                  | Indicate Ring_Ready                                                      |                                                                                                                                                            | mod_dptools       |
| rxfax                       | FAX Receive Application                                                  | <filename>                                                                                                                                                 | mod_spandsp       |
| say                         | say                                                                      | <module_name>[:<lang>] <say_type> <say_method> [<say_gender>] <text>                                                                                       | mod_dptools       |
| sched_broadcast             | Schedule a broadcast in the future                                       | [+]<time> <path> [aleg\|bleg\|both]                                                                                                                        | mod_dptools       |
| sched_cancel                | cancel scheduled tasks                                                   | [group]                                                                                                                                                    | mod_dptools       |
| sched_hangup                | Schedule a hangup in the future                                          | [+]<time> [<cause>]                                                                                                                                        | mod_dptools       |
| sched_heartbeat             | Enable Scheduled Heartbeat                                               | [0\|<seconds>]                                                                                                                                             | mod_dptools       |
| sched_transfer              | Schedule a transfer in the future                                        | [+]<time> <extension> <dialplan> <context>                                                                                                                 | mod_dptools       |
| send                        | send the message as-is                                                   |                                                                                                                                                            | mod_sms           |
| send_display                | Send session a new display                                               | <text>                                                                                                                                                     | mod_dptools       |
| send_dtmf                   | Send dtmf to be sent                                                     | <dtmf_data>                                                                                                                                                | mod_dptools       |
| send_info                   | Send info                                                                | <info>                                                                                                                                                     | mod_dptools       |
| session_loglevel            | session_loglevel                                                         | <level>                                                                                                                                                    | mod_dptools       |
| set                         | set a variable                                                           |                                                                                                                                                            | mod_sms           |
| set                         | Set a channel variable                                                   | <varname>=<value>                                                                                                                                          | mod_dptools       |
| set_audio_level             | set volume                                                               |                                                                                                                                                            | mod_dptools       |
| set_global                  | Set a global variable                                                    | <varname>=<value>                                                                                                                                          | mod_dptools       |
| set_media_stats             | Set Media Stats                                                          |                                                                                                                                                            | mod_dptools       |
| set_mute                    | set mute                                                                 |                                                                                                                                                            | mod_dptools       |
| set_name                    | Name the channel                                                         | <name>                                                                                                                                                     | mod_dptools       |
| set_profile_var             | Set a caller profile variable                                            | <varname>=<value>                                                                                                                                          | mod_dptools       |
| set_user                    | Set a User                                                               | <user>@<domain> [prefix]                                                                                                                                   | mod_dptools       |
| set_zombie_exec             | Enable Zombie Execution                                                  |                                                                                                                                                            | mod_dptools       |
| sleep                       | Pause a channel                                                          | <pausemilliseconds>                                                                                                                                        | mod_dptools       |
| socket                      | Connect to a socket                                                      | <ip>[:<port>]                                                                                                                                              | mod_event_socket  |
| sofia_sla                   | private sofia sla function                                               | <uuid>                                                                                                                                                     | mod_sofia         |
| soft_hold                   | Put a bridged channel on hold                                            | <unhold key> [<moh_a>] [<moh_b>]                                                                                                                           | mod_dptools       |
| sound_test                  | Analyze Audio                                                            |                                                                                                                                                            | mod_dptools       |
| spandsp_detect_tdd          | Detect TDD data                                                          |                                                                                                                                                            | mod_spandsp       |
| spandsp_inject_tdd          | Send TDD data                                                            |                                                                                                                                                            | mod_spandsp       |
| spandsp_send_tdd            | Send TDD data                                                            |                                                                                                                                                            | mod_spandsp       |
| spandsp_start_dtmf          | Detect dtmf                                                              |                                                                                                                                                            | mod_spandsp       |
| spandsp_start_fax_detect    | start fax detect                                                         | <app>[ <arg>][ <timeout>][ <tone_type>]                                                                                                                    | mod_spandsp       |
| spandsp_start_tone_detect   | Start background tone detection with cadence                             | <name>                                                                                                                                                     | mod_spandsp       |
| spandsp_stop_detect_tdd     | stop sending tdd                                                         |                                                                                                                                                            | mod_spandsp       |
| spandsp_stop_dtmf           | stop inband dtmf                                                         |                                                                                                                                                            | mod_spandsp       |
| spandsp_stop_fax_detect     | stop fax detect                                                          |                                                                                                                                                            | mod_spandsp       |
| spandsp_stop_inject_tdd     | stop sending tdd                                                         |                                                                                                                                                            | mod_spandsp       |
| spandsp_stop_tone_detect    | Stop background tone detection with cadence                              |                                                                                                                                                            | mod_spandsp       |
| speak                       | Speak text                                                               | <engine>\|<voice>\|<text>                                                                                                                                  | mod_dptools       |
| start_dtmf                  | Detect dtmf                                                              |                                                                                                                                                            | mod_dptools       |
| start_dtmf_generate         | Generate dtmf                                                            |                                                                                                                                                            | mod_dptools       |
| stop                        | stop execution                                                           |                                                                                                                                                            | mod_sms           |
| stop                        | Do Nothing                                                               |                                                                                                                                                            | mod_dptools       |
| stop_displace_session       | Stop Displace File                                                       | <path>                                                                                                                                                     | mod_dptools       |
| stop_dtmf                   | stop inband dtmf                                                         |                                                                                                                                                            | mod_dptools       |
| stop_dtmf_generate          | stop inband dtmf generation                                              | [write]                                                                                                                                                    | mod_dptools       |
| stop_record_session         | Stop Record Session                                                      | <path>                                                                                                                                                     | mod_dptools       |
| stop_tone_detect            | stop detecting tones                                                     |                                                                                                                                                            | mod_dptools       |
| stop_video_write_overlay    | Stop video write overlay                                                 | <path>                                                                                                                                                     | mod_dptools       |
| stopfax                     | Stop FAX Application                                                     |                                                                                                                                                            | mod_spandsp       |
| strftime                    | strftime                                                                 | [<epoch>\|]<format string>                                                                                                                                 | mod_dptools       |
| system                      | execute a system command                                                 |                                                                                                                                                            | mod_sms           |
| system                      | Execute a system command                                                 | <command>                                                                                                                                                  | mod_dptools       |
| t38_gateway                 | Convert to T38 Gateway if tones are heard                                |                                                                                                                                                            | mod_spandsp       |
| three_way                   | three way call with a uuid                                               | <uuid>                                                                                                                                                     | mod_dptools       |
| tone_detect                 | Detect tones                                                             |                                                                                                                                                            | mod_dptools       |
| transfer                    | Transfer a channel                                                       | <exten> [<dialplan> <context>]                                                                                                                             | mod_dptools       |
| transfer_vars               | Transfer variables                                                       | <~variable_prefix\|variable>                                                                                                                               | mod_dptools       |
| txfax                       | FAX Transmit Application                                                 | <filename>                                                                                                                                                 | mod_spandsp       |
| unbind_meta_app             | Unbind a key from an application                                         | [<key>]                                                                                                                                                    | mod_dptools       |
| unblock_dtmf                | Stop blocking DTMF                                                       |                                                                                                                                                            | mod_dptools       |
| unhold                      | Send a un-hold message                                                   |                                                                                                                                                            | mod_dptools       |
| unloop                      | Tell loopback to unfold                                                  |                                                                                                                                                            | mod_loopback      |
| unset                       | unset a variable                                                         |                                                                                                                                                            | mod_sms           |
| unset                       | Unset a channel variable                                                 | <varname>                                                                                                                                                  | mod_dptools       |
| unshift                     | Set a channel variable                                                   | <varname>=<value>                                                                                                                                          | mod_dptools       |
| valet_park                  | valet_park                                                               | <lotname> <extension>\|[ask [<min>] [<max>] [<to>] [<prompt>]\|auto [in\|out] [min] [max]]                                                                 | mod_valet_parking |
| verbose_events              | Make ALL Events verbose.                                                 |                                                                                                                                                            | mod_dptools       |
| video_decode                | Set video decode.                                                        | [[on\|wait]\|off]                                                                                                                                          | mod_dptools       |
| video_refresh               | Send video refresh.                                                      | [manual\|auto]                                                                                                                                             | mod_dptools       |
| video_write_overlay         | Video write overlay                                                      | <path> [<pos>] [<alpha>]                                                                                                                                   | mod_dptools       |
| wait_for_answer             | Wait for call to be answered                                             |                                                                                                                                                            | mod_dptools       |
| wait_for_silence            | wait_for_silence                                                         | <silence_thresh> <silence_hits> <listen_hits> <timeout_ms> [<file>]                                                                                        | mod_dptools       |
