<div style="text-align: center;">
  <img src="_static/images/logo.png" alt="Logo" width="130" height="76.5">
</div>

<br><br>
# Welcome to FusionPBX Docs

## FusionPBX

An open source project that provides a customizable and flexible web interface to the very powerful and highly scalable multi-platform voice switch called [FreeSWITCH](https://www.freeswitch.org).

FusionPBX will run on a variety of operating systems (optimized for Debian 8+) and hardware of your choice. FusionPBX provides a GUI for QR Code soft phone provisioning, unlimited extensions, voicemail-to-email, music on hold, call parking, analog lines or high-density T1/E1 circuits, and many other features. FusionPBX provides the functionality that businesses need and delivers corporate-level phone system features to small, medium, and large businesses. [Click here for the FusionPBX YouTube channel](https://www.youtube.com/playlist?list=PLrhVQpI_CtOwQNB_lsNIxrl9SOAuo9ZSF).

<div style="text-align: center; margin-bottom: 2em;">
<iframe width="100%" height="350" src="https://www.youtube.com/embed/XpiVyHqLaus?rel=0" frameborder="0" allowfullscreen></iframe>
</div>

## Benefits of FusionPBX
1. Adding extra functionality to the incredibly robust FreeSWITCH VoIP Platform.
2. Makes FreeSWITCH easy to administer while at the same time still allowing you to work directly within FreeSWITCH Command Line Interface (fs_cli) when you need to.
3. Gives your users and tenants an attractive GUI interface to interact with.

## FusionPBX Features

|                      |                    |                      |                     |
|----------------------|--------------------|----------------------|---------------------|
| Call Block           | Call Broadcast     | Call Flows            | Call Center         |
| Call Detail Records  | Conference         | Contacts             | Fax Server          |
| Follow Me            | Hot Desking        | IVR Menus            | Ring Groups         |
| Multi-Tenant         | Music on Hold      | Queues               | Recordings          |
| Device Provisioning  | Streams            | QR Code Provisioning | SMS/MMS ready       |
| Time Conditions      | WebRTC ready       | Voicemail            | and lots more...    |

## Our Ecosystem
We are a global community that has an open and very friendly ecosystem. We encourage community engagement, contribution, and feedback. Please join us by getting involved with giving feedback, new feature ideas, helping out with code, or documentation.

Most of the core folks who develop and use FusionPBX can be found hanging out in the IRC network **irc.libera.chat** in the **#fusionpbx** channel. Come join us and meet the team!

## Overview

Use the following links below or the menu on the left to navigate to the features you are interested in.

```{toctree}
getting_started.md
home.md
accounts.md
dialplans.md
applications.md
status.md
advanced.md
hardware.md
software.md
additional_information.md
contributing.md
doc_guide.md
other.md
```
